import { d as defineMongooseModel } from './model.mjs';

const CategorieShema = defineMongooseModel({
  name: "Categorie",
  schema: {
    myid: {
      type: String,
      required: true,
      unique: true
    },
    nom: {
      type: String,
      required: true,
      unique: true,
      lowercase: true
    }
  }
});

export { CategorieShema as C };
//# sourceMappingURL=Categorie.mjs.map
