import { defineComponent, ref, mergeProps, unref, useSSRContext } from 'vue';
import { d as useAuth } from '../server.mjs';
import { ssrRenderAttrs, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';
import { _ as _imports_0 } from './icon-QzuyK0xg.mjs';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CtaInscription",
  __ssrInlineRender: true,
  setup(__props) {
    var _a2;
    var _a, _b;
    const email = ref();
    const { status, data, signOut, getCsrfToken } = useAuth();
    const sta = ref(status);
    const dato = ref(data);
    if (sta.value === "authenticated") {
      email.value = (_a2 = (_b = (_a = dato.value) == null ? void 0 : _a.user) == null ? void 0 : _b.email) != null ? _a2 : "";
    } else {
      email.value = "John Doe";
    }
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<section${ssrRenderAttrs(mergeProps({ class: "call-action-area call-action-one" }, _attrs))}><div class="container"><div class="row align-items-center call-action-content"><div class="col-xl-8 col-lg-8"><div class="call-action-text"><h2 class="action-title">${ssrInterpolate(unref(email))} <br>Souhatez-vous recevoir vos facture et g\xE9rer vos equiments </h2><p class="text-lg"> Votre Tableau de bord vous permet de g\xE9rer vos \xE9quipements et de recevoir vos factures par email et bien plus </p></div></div><div class="col-xl-4 col-lg-4 col-sm-12 d-flex flex-row"><img class="myImgg p"${ssrRenderAttr("src", _imports_0)} alt=""><div class="call-action-btn rounded-buttons text-lg-end text-center"><a href="/inscription" class="btn btn-warning rounded-pill px-5 py-3 fw-bold"> Inscrivez-vous </a></div></div></div></div></section>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/CtaInscription.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=CtaInscription-m7AalgsB.mjs.map
