import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './dashadminlink-IIs1WKSP.mjs';
import { defineComponent, ref, withAsyncContext, unref, useSSRContext } from 'vue';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import { ssrRenderComponent, ssrRenderAttr, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import '../server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "acceuil",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const myid = ref("");
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 1e3,
      timerProgressBar: true
    });
    const R\u00E9f\u00E9rence = ref("");
    const categorie = ref("");
    const message = ref("");
    const text = ref("");
    ref("");
    ref("");
    const produit = ref();
    ref();
    const proImg = ref();
    const ban = ref();
    async function getProd() {
      const { data: d } = await useFetch("/api/dash/prod/tout", "$3cUURR2dbO");
      produit.value = d.value;
    }
    async function getBan() {
      const { data: d } = await useFetch("/api/dash/acceuil/banner", "$qomlqrNQKJ");
      ban.value = d.value;
    }
    [__temp, __restore] = withAsyncContext(() => getBan()), await __temp, __restore();
    [__temp, __restore] = withAsyncContext(() => getProd()), await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Dashadminlink = _sfc_main$2;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="container-fluid mt-30"><div class="row shadow bg-body-tertiary rounded">`);
      _push(ssrRenderComponent(_component_Dashadminlink, null, null, _parent));
      _push(`<div class="col-sm p-3 min-vh-100 shadow bg-body-ligth rounded"><h1 class="mb-5">Gestion de la page d&#39;acceuil</h1><div class="row"><div class="col-md-6 shadow p-3 mb-5 bg-body-tertiary rounded"><h5>Formulaire d&#39;ajout de banniere</h5><form class="row g-3" method="post"><div class="col-md-12">`);
      if (unref(proImg)) {
        _push(`<div class="card w-100"><img${ssrRenderAttr("src", unref(proImg))} alt=""></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="col-md-12"><label for="NomProduits" class="form-label">Nom du Produit:</label>`);
      if (unref(produit)) {
        _push(`<select class="form-select" name="NomProduit"><!--[-->`);
        ssrRenderList(unref(produit), (p) => {
          _push(`<option${ssrRenderAttr("value", p._id)}>${ssrInterpolate(p.model)} ${ssrInterpolate(p.prodNom)}</option>`);
        });
        _push(`<!--]--></select>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="col-md-12"><label for="" id="msg">Votre message </label><input type="text" class="form-control" id="msg" placeholder="Votre message"${ssrRenderAttr("value", unref(text))}></div><div class="col-md-6"><label for="myid" class="form-label">ID:</label><input type="text" id="myid" disabled${ssrRenderAttr("value", unref(myid))} class="form-control" required></div><div class="col-md-6"><label for="R\xE9f\xE9rence" class="form-label">R\xE9f\xE9rence:</label><input type="text" id="R\xE9f\xE9rence"${ssrRenderAttr("value", unref(R\u00E9f\u00E9rence))} class="form-control" required></div><div class="col-6"><label for="categorie" class="form-label">Cat\xE9gorie:</label><input type="text" id="categorie"${ssrRenderAttr("value", unref(categorie))} class="form-control" required></div><div class="col-md-6"><label for="Img" class="form-label">Image URL:</label><input type="file" id="Img" class="form-control"></div><div class="col-12"><label for="message" class="form-label">Message:</label><input type="text" id="message"${ssrRenderAttr("value", unref(message))} class="form-control"></div><div class="col-12"><button type="submit" class="btn btn-primary">Submit</button></div></form></div><div class="col-md-6"><h5>Liste des banniere </h5><table class="table table-striped table-hover"><thead><tr><th scope="col tex-dark">Image</th><th scope="col">R\xE9f\xE9rence</th><th scope="col">Message</th><th scope="col">Nom du Produit</th></tr></thead><tbody><!--[-->`);
      ssrRenderList(unref(ban), (b) => {
        _push(`<tr><td><img${ssrRenderAttr("src", b.Img)} alt="" width="50px"></td><th scope="row">${ssrInterpolate(b.R\u00E9f\u00E9rence)} -&gt; ${ssrInterpolate(b.categorie)}</th><td>${ssrInterpolate(b.NomProduits)} <br> ${ssrInterpolate(b.message)}</td><td><button class="btn btn-danger"><i class="fas fa-trash"></i></button></td></tr>`);
      });
      _push(`<!--]--></tbody></table></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/dashboard/acceuil.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=acceuil-GU3SfS5t.mjs.map
