import { m as defineNuxtRouteMiddleware, d as useAuth, b as navigateTo } from '../server.mjs';
import { ref } from 'vue';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import 'vue/server-renderer';

const admin = defineNuxtRouteMiddleware((to, from) => {
  var _a;
  const { status, data } = useAuth();
  console.log(status.value);
  const user = ref();
  user.value = (_a = data.value) == null ? void 0 : _a.user;
  if (status.value === "authenticated") {
    if (user.value.admin === false) {
      return navigateTo(
        "/mon-espace"
      );
    }
  } else {
    return navigateTo("login");
  }
});

export { admin as default };
//# sourceMappingURL=admin-jVxBZn9p.mjs.map
