import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './dashadminlink-IIs1WKSP.mjs';
import { defineComponent, ref, onUnmounted, unref, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrRenderAttr, ssrRenderList, ssrInterpolate, ssrRenderStyle } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import crypto from 'crypto';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import '../server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './logo-BdZ9DXkY.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const rnds8Pool = new Uint8Array(256); // # of random values to pre-allocate

let poolPtr = rnds8Pool.length;
function rng() {
  if (poolPtr > rnds8Pool.length - 16) {
    crypto.randomFillSync(rnds8Pool);
    poolPtr = 0;
  }

  return rnds8Pool.slice(poolPtr, poolPtr += 16);
}

/**
 * Convert array of 16 byte values to UUID string format of the form:
 * XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
 */

const byteToHex = [];

for (let i = 0; i < 256; ++i) {
  byteToHex.push((i + 0x100).toString(16).slice(1));
}

function unsafeStringify(arr, offset = 0) {
  // Note: Be careful editing this code!  It's been tuned for performance
  // and works in ways you may not expect. See https://github.com/uuidjs/uuid/pull/434
  return byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + '-' + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + '-' + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + '-' + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + '-' + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]];
}

const native = {
  randomUUID: crypto.randomUUID
};

function v4(options, buf, offset) {
  if (native.randomUUID && !buf && !options) {
    return native.randomUUID();
  }

  options = options || {};
  const rnds = options.random || (options.rng || rng)(); // Per 4.4, set bits for version and `clock_seq_hi_and_reserved`

  rnds[6] = rnds[6] & 0x0f | 0x40;
  rnds[8] = rnds[8] & 0x3f | 0x80; // Copy bytes to buffer, if provided

  if (buf) {
    offset = offset || 0;

    for (let i = 0; i < 16; ++i) {
      buf[offset + i] = rnds[i];
    }

    return buf;
  }

  return unsafeStringify(rnds);
}

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "categorie",
  __ssrInlineRender: true,
  setup(__props) {
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 1e3,
      timerProgressBar: true
    });
    const cat = ref("");
    ref("");
    ref(v4());
    const catList = ref();
    const f = ref({
      id: "",
      scat: ""
    });
    const scat = ref();
    ref(false);
    onUnmounted(
      () => {
      }
    );
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Dashadminlink = _sfc_main$2;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="container-fluid"><div class="row">`);
      _push(ssrRenderComponent(_component_Dashadminlink, null, null, _parent));
      _push(`<div class="col-sm-10 p-3 min-vh-100 shadow p-3 mb-5 bg-body-ligth rounded"><h1 class="mb-5">Gestion des Categorie</h1><div class="row"><div class="col-md-6 shadow p-3 mb-5 bg-body-tertiary rounded"><h5>Formulaire d&#39;ajout de Categorie</h5><form class="shadow p-3 mb-5 bg-body-tertiary rounded"><div class="row form-inline"><div class="col-md-6"><div class="form-group"><label for="exampleInputEmail1">Categorie</label><input type="text" class="form-control"${ssrRenderAttr("value", unref(cat))} placeholder="Entrer la categorie"><small id="emailHelp" class="form-text text-muted">Les cat\xE9gories doivent \xEAtre unique </small></div><button type="submit" class="btn btn-warning">Enregistre</button></div></div></form><form class="shadow p-3 mb-5 bg-body-tertiary rounded"><div class="row"><div class="col-md-6"><select id="inputState" class="form-select"><option selected>choisisez une Categorie</option><!--[-->`);
      ssrRenderList(unref(catList), (c) => {
        _push(`<option${ssrRenderAttr("value", c.myid)}><b>${ssrInterpolate(c.nom.toUpperCase())}</b></option>`);
      });
      _push(`<!--]--></select></div><div class="col-md-6 mb-3"><input type="text"${ssrRenderAttr("value", unref(f).scat)} class="form-control" placeholder="Ajoutez une sous categorie" aria-label="Last name"></div><div class="col-12"><button type="submit" class="btn btn-warning w-100">Enregistre</button></div></div></form><table class="w-100"><tr><th>Cat\xE9gorie</th><th>Sous - Cat\xE9gories</th><th>Action</th></tr><!--[-->`);
      ssrRenderList(unref(scat), (s) => {
        _push(`<tr><td>${ssrInterpolate(s.nomcat.toUpperCase())}</td><td>${ssrInterpolate(s.scatNom.charAt(0).toUpperCase() + s.scatNom.slice(1))}</td><td><button class="btn btn-warning float-left m-1"><i class="fas fa-edit"></i></button><button class="btn btn-danger float-left"><i class="fas fa-trash-alt"></i></button></td></tr>`);
      });
      _push(`<!--]--></table></div><div class="col-md-6 h-auto"><h5>Liste des Cat\xE9gories </h5><div class="card" style="${ssrRenderStyle({ "width": "100%" })}"><div class="card-body"><h5 class="card-title">Card title</h5>`);
      if (unref(catList)) {
        _push(`<ul class="list-group list-group-numbered"><!--[-->`);
        ssrRenderList(unref(catList), (cat2) => {
          _push(`<li class="list-group-item d-flex justify-content-between">${ssrInterpolate(cat2.nom.toUpperCase())} <div class="xx"><button class="btn btn-warning float-left m-1"><i class="fas fa-edit"></i></button><button class="btn btn-danger float-left"><i class="fas fa-trash-alt"></i></button></div></li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/dashboard/produit/categorie.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=categorie-E7F6iqUb.mjs.map
