import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './clt-mobile-dash-gqOpldVW.mjs';
import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, withAsyncContext, unref, withCtx, createVNode, useSSRContext } from 'vue';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import { ssrRenderComponent, ssrRenderList, ssrRenderAttr, ssrInterpolate } from 'vue/server-renderer';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "commande",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const { status, data, signOut, getCsrfToken } = useAuth();
    const sta = ref();
    const dato = ref();
    sta.value = status.value;
    dato.value = data.value;
    const panier = ref();
    const csrfToken = ([__temp, __restore] = withAsyncContext(() => getCsrfToken()), __temp = await __temp, __restore(), __temp);
    async function getPanier() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$9RryOGQ7N3");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      } else {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                navToken: csrfToken
              }
            }
          }, "$M2K5upPFyU");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    [__temp, __restore] = withAsyncContext(() => getPanier()), await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Clt_mobile_Dash = _sfc_main$2;
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="row"><div class="col-md-2">`);
      _push(ssrRenderComponent(_component_Clt_mobile_Dash, null, null, _parent));
      _push(`</div><div class="col-md-10"><div class="row mt-5"><div class="col-sm-10 col-sm-12 justify-content-center"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Mes Commandes </h5></div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-primary rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-shopping-cart fs-1"></i></div></div></div></div><div class="col-12"><div class="table-responsive"><table class="table table-hover"><thead><tr><th scope="col">Image</th><th scope="col">Produit</th><th scope="col">Quantit\xE9</th><th>Status</th><th scope="col">Action</th></tr></thead><tbody><!--[-->`);
      ssrRenderList(unref(panier), (item) => {
        _push(`<tr><th scope="row"><img${ssrRenderAttr("src", item.prodImg1)} alt="" width="50px" height="50px"></th><td><p class="text-uppercase">${ssrInterpolate(item.mark)}</p> ${ssrInterpolate(item.prodNom)} <b>${ssrInterpolate(item.model)}</b></td><td>${ssrInterpolate(item.qte)}</td><td>`);
        if (item.status == "Demande de Prix encours") {
          _push(`<span class="badge bg-warning">${ssrInterpolate(item.status)}</span>`);
        } else {
          _push(`<!---->`);
        }
        if (item.status == "Commander") {
          _push(`<span class="badge bg-danger">${ssrInterpolate(item.status)}</span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</td><td><button class="btn btn-primary"><i class="fa fa-eye"></i></button> <button class="btn btn-danger"><i class="fa fa-trash"></i></button></td></tr>`);
      });
      _push(`<!--]--></tbody></table></div><div class="d-flex align-items-center mt-3">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace",
        class: "btn bg-primary-subtle rounded-pill btn-sm text-dark mt-3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fa fa-arrow-left bsb-rotate-45 text-primary"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fa fa-arrow-left bsb-rotate-45 text-primary" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/mon-espace/commande.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=commande-zbNafyyD.mjs.map
