import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, mergeProps, withCtx, createVNode, unref, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate } from 'vue/server-renderer';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "dashadminlink",
  __ssrInlineRender: true,
  setup(__props) {
    const { status, data, signOut } = useAuth();
    const sta = ref();
    const dato = ref();
    sta.value = status.value;
    dato.value = data.value;
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "col-sm-auto sticky-top shadow bg-body-tertiary rounded" }, _attrs))}><div class="d-flex flex-sm-column flex-row flex-nowrap bg-light align-items-center sticky-top min-vh-1">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/dashboard",
        class: "d-block p-3 link-dark text-decoration-none",
        title: "oups",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Icon-only"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fad fa-grip-horizontal fs-1 text-primary"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fad fa-grip-horizontal fs-1 text-primary" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<ul class="nav nav-pills nav-flush flex-sm-column flex-row flex-nowrap mb-auto mx-auto text-center align-items-center"><li class="nav-item">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/dashboard/acceuil",
        class: "nav-link py-3 px-2",
        title: "Gestion de la page d'acceuil",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Gestion de la page d'acceuil"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fas fa-home fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fas fa-home fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/dashboard/produit/categorie",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Dashboard"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fas fa-newspaper fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fas fa-newspaper fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/dashboard/produit",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Orders"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fab fa-product-hunt fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fab fa-product-hunt fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/dashboard/tem",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Products"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="far fa-comments fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "far fa-comments fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "#",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Customers"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="bi-people fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "bi-people fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul><div class="dropdown">`);
      if (unref(sta) === "authenticated") {
        _push(`<button class="dark-black-color1 btn btn-danger text-withe"><span><i class="fas fa-sign-out-alt text-white"></i></span> ${ssrInterpolate(unref(dato).user.lastname.charAt(0).toUpperCase())}. ${ssrInterpolate(unref(dato).user.name.charAt(0).toUpperCase())}</button>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/dashadminlink.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=dashadminlink-IIs1WKSP.mjs.map
