import { _ as _sfc_main$3 } from './header-fU_S1xCz.mjs';
import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { useSSRContext, defineComponent, ref, withAsyncContext, mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrRenderAttr, ssrInterpolate, ssrRenderComponent, ssrRenderStyle } from 'vue/server-renderer';
import { _ as _export_sfc, d as useAuth, l as useRoute } from '../server.mjs';
import { _ as __nuxt_component_1$1 } from './nuxt-img-XFt3MqOM.mjs';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import Swal from 'sweetalert2';
import { _ as _sfc_main$4 } from './CtaInscription-m7AalgsB.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './index-tbNGurtz.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import './icon-QzuyK0xg.mjs';

const _sfc_main$2 = {
  name: "ShBanner",
  props: {
    title: {
      type: String,
      required: true
    },
    subtitle: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      title: this.title
    };
  }
};
function _sfc_ssrRender$1(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  const _component_NuxtLink = __nuxt_component_0;
  _push(`<main${ssrRenderAttrs(_attrs)}><div class="slider-area over-hidden"><div class="single-slider page-height3 d-flex align-items-center"><div class="container"><div class="row"><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 d-flex align-items-center justify-content-center"><div class="page-title mt-10 text-center p-5 rounded" style="${ssrRenderStyle({ "background-color": "#f5f5f5ab" })}"><h2 class="text-capitalize font600 mb-10">${ssrInterpolate($data.title)}</h2><nav aria-label="breadcrumb"><ol class="breadcrumb justify-content-center bg-transparent"><li class="breadcrumb-item">`);
  _push(ssrRenderComponent(_component_NuxtLink, {
    class: "primary-color",
    href: "/"
  }, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(`Acceuil `);
      } else {
        return [
          createTextVNode("Acceuil ")
        ];
      }
    }),
    _: 1
  }, _parent));
  _push(`</li><li class="breadcrumb-item active text-capitalize" aria-current="page">Boutique</li></ol></nav></div></div></div></div></div></div></main>`);
}
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/sh-banner.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["ssrRender", _sfc_ssrRender$1]]);
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "sh-Produts",
  __ssrInlineRender: true,
  async setup(__props) {
    var _a;
    let __temp, __restore;
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 1e3,
      timerProgressBar: true
    });
    const ccat = ref();
    const prod = ref();
    ref();
    const rerch = ref();
    const long = ref();
    const chargement = ref(false);
    ref();
    const u = ref();
    const { status, data, getCsrfToken } = useAuth();
    u.value = (_a = data.value) == null ? void 0 : _a.user;
    [__temp, __restore] = withAsyncContext(() => getCsrfToken()), __temp = await __temp, __restore();
    const route = useRoute();
    const rec = route.query;
    const activeSearch = ref({
      cat: rec["cat\xE9gorie"],
      scat: rec["sous-cat\xE9gorie"],
      search: rec["search"]
    });
    if (activeSearch.value.search) {
      rerch.value = activeSearch.value.search;
    }
    if (activeSearch.value.cat === void 0 && activeSearch.value.scat === void 0) {
      [__temp, __restore] = withAsyncContext(() => getProd()), await __temp, __restore();
    } else {
      if (activeSearch.value.cat && activeSearch.value.scat === void 0) {
        [__temp, __restore] = withAsyncContext(() => seachi(activeSearch.value.cat.toString(), "")), await __temp, __restore();
      }
      if (activeSearch.value.cat && activeSearch.value.scat) {
        [__temp, __restore] = withAsyncContext(() => seachi(activeSearch.value.cat.toString(), activeSearch.value.scat.toString())), await __temp, __restore();
      }
    }
    async function seachi(cat, scat) {
      chargement.value = true;
      try {
        const { data: resu } = await useFetch("/api/dash/prod/shop", {
          method: "POST",
          body: {
            filtre: {
              nomcat: cat,
              nomscat: scat
            },
            regex: {
              prodNom: rerch.value
            }
          }
        }, "$gbxG1zGLyw");
        prod.value = resu.value;
        long.value = prod.value.length;
        chargement.value = false;
        if (prod.value.length === 0) {
          Swal.fire({
            icon: "warning",
            title: "Oops...",
            text: "Aucun produit trouv\xE9 !"
          });
          getProd();
          rec["cat\xE9gorie"] = "";
          rec["sous-cat\xE9gorie"] = "";
        } else {
          rec["cat\xE9gorie"] = cat;
          rec["sous-cat\xE9gorie"] = scat;
        }
      } catch (error) {
      } finally {
        chargement.value = false;
      }
    }
    async function getProd() {
      chargement.value = true;
      try {
        const { data: resu } = await useFetch("/api/dash/prod/tout", "$T4kudgHX0s");
        prod.value = resu.value;
        long.value = prod.value.length;
        chargement.value = false;
      } catch (error) {
        console.log(error);
      } finally {
        chargement.value = false;
      }
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtImg = __nuxt_component_1$1;
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "product-area shop-product mt-20 mb-100" }, _attrs))} data-v-51b9d122><div class="container" data-v-51b9d122><div class="product-content single-product-tab-content" data-v-51b9d122></div><div class="product-wrapper mt-1" data-v-51b9d122><div class="row" data-v-51b9d122><div class="col-xl-3 col-lg-4 col-md-12 col-sm-12 col-12" data-v-51b9d122><div class="shop-sidebar-area pt-80" data-v-51b9d122><div class="row" data-v-51b9d122><div class="col-xl-12 col-lg-12 col-md-6 col-sm-12 col-12" data-v-51b9d122><div class="row" data-v-51b9d122><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 shadow p-3 mb-5 bg-body-ligth rounded" data-v-51b9d122><div class="sidebar-widget mb-20" data-v-51b9d122><h6 class="mb-15 title font600 sidebar-title d-inline-block position-relative pb-1" data-v-51b9d122> Nos Cat\xE9gories </h6>`);
      if (unref(ccat)) {
        _push(`<div class="accordion" id="accordionExample" data-v-51b9d122><!--[-->`);
        ssrRenderList(unref(ccat), (c, k) => {
          _push(`<div class="accordion-item mb-2" data-v-51b9d122><h2 class="accordion-header" data-v-51b9d122><button class="accordion-button" type="button"${ssrRenderAttr("id", k.toString())} data-v-51b9d122>${ssrInterpolate(k.toString().toUpperCase())} <span class="ms-auto" data-v-51b9d122>(${ssrInterpolate(c.scatNom.length)})</span></button></h2><div${ssrRenderAttr("id", "x" + k)} class="accordion-collapse collapse" data-v-51b9d122>`);
          if (c.scatNom) {
            _push(`<div class="accordion-body" data-v-51b9d122><ul class="list-group" data-v-51b9d122>`);
            if (c.scatNom.length > 0) {
              _push(`<!--[-->`);
              ssrRenderList(c.scatNom, (s, i) => {
                _push(`<li class="list-group-item shadow p-2 mb-1 bg-body-ligth rounded" data-v-51b9d122>${ssrInterpolate(s.charAt(0).toUpperCase() + s.slice(1))}</li>`);
              });
              _push(`<!--]-->`);
            } else {
              _push(`<!---->`);
            }
            _push(`</ul></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div></div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div></div></div><div class="col-xl-9 col-lg-8 col-md-12 col-sm-12 col-12" data-v-51b9d122><div class="row" data-v-51b9d122><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12" data-v-51b9d122><div class="shop-header pt-70 mb-20" data-v-51b9d122><div class="row align-items-center position-relative s-top-nv" data-v-51b9d122><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 pb-15 position-static pl-xl-0" data-v-51b9d122><div class="shop-header-right d-flex align-items-center justify-content-between" data-v-51b9d122><ul class="d-flex align-items-center s-fil-vm clear-both" data-v-51b9d122><li data-v-51b9d122><div class="view-mode d-flex align-items-center" data-v-51b9d122><ul class="nav nav-tabs border-0" id="myTab" role="tablist" data-v-51b9d122><li class="nav-item border-0" role="presentation" data-v-51b9d122>`);
      if (unref(rec)["cat\xE9gorie"]) {
        _push(`<p class="btn btn-primary m-1" data-v-51b9d122>${ssrInterpolate(unref(rec)["cat\xE9gorie"])}<a href="/boutique" class="btn badge text-bg-danger mx-1 rouded-pill" data-v-51b9d122>x</a></p>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</li><li class="nav-item" role="presentation" data-v-51b9d122>`);
      if (unref(rec)["sous-cat\xE9gorie"]) {
        _push(`<p class="btn btn-primary m-1" data-v-51b9d122>${ssrInterpolate(unref(rec)["sous-cat\xE9gorie"])}<a${ssrRenderAttr("href", "/boutique?cat\xE9gorie=" + unref(rec)["cat\xE9gorie"])} class="btn badge text-bg-danger mx-1" data-v-51b9d122>x</a></p>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</li></ul></div></li></ul><ul data-v-51b9d122><div class="input-group mb-3" data-v-51b9d122><input type="text" class="form-control" placeholder="Rechercher un produit"${ssrRenderAttr("value", unref(rerch))} data-v-51b9d122><button class="btn btn-outline-secondary" type="button" data-v-51b9d122><i class="fas fa-search" data-v-51b9d122></i></button></div></ul><ul class="shop-right d-flex align-items-center" data-v-51b9d122><li data-v-51b9d122><div class="shop-h-title border-r-gray1 pr-20" data-v-51b9d122>`);
      if (unref(long)) {
        _push(`<h6 class="primary-color2 mb-0 font13" data-v-51b9d122> Affichage de ${ssrInterpolate(unref(long))} resultat</h6>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></li></ul></div></div></div></div></div></div><div class="tab-content" id="myTabContent" data-v-51b9d122><div class="tab-pane fade" id="home" role="tabpanel" aria-labelledby="home-tab" data-v-51b9d122></div><div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab" data-v-51b9d122>`);
      if (unref(chargement) == true) {
        _push(`<div class="row mb-50" data-v-51b9d122><div class="col-4 m-auto" data-v-51b9d122><div class="vh-50" data-v-51b9d122><button class="btn text-center btn-outline-primary btn-lg btn-block" type="button" disabled data-v-51b9d122><span class="spinner-border spinner-border-sm" role="status" aria-hidden="true" data-v-51b9d122></span> Chargement... </button></div></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(prod)) {
        _push(`<div class="row" data-v-51b9d122><div class="col-md-12" data-v-51b9d122></div><!--[-->`);
        ssrRenderList(unref(prod), (p) => {
          _push(`<div class="col-md-4" data-v-51b9d122><div class="product-card shadow p-3 mb-1 bg-body-ligth rounded" data-v-51b9d122><div class="product-card-img shadow bg-body-ligth rounded" data-v-51b9d122><label class="stock bg-success" data-v-51b9d122>#${ssrInterpolate(p.code)}</label>`);
          _push(ssrRenderComponent(_component_NuxtImg, {
            src: p.prodImg1,
            alt: p.mark + " " + p.prodNom + " " + p.model,
            class: "mmtaille"
          }, null, _parent));
          _push(`</div><div class="product-card-body" data-v-51b9d122><p class="product-brand" data-v-51b9d122>${ssrInterpolate(p.mark.toUpperCase())} <span class="shadow-lg p-2 m-2 text-primary" data-v-51b9d122>Prix sur demande </span></p><h5 class="product-name" data-v-51b9d122>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: "../boutique/code/" + p.code
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(p.prodNom.charAt(0).toUpperCase() + p.prodNom.slice(1))} ${ssrInterpolate(p.model)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(p.prodNom.charAt(0).toUpperCase() + p.prodNom.slice(1)) + " " + toDisplayString(p.model), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</h5><div data-v-51b9d122><p data-v-51b9d122>${ssrInterpolate(p.prodDesCour)}</p></div></div><div class="panel shadow-lg p-2 bg-ligth rounded-pill bg-primary-subtle text-center" data-v-51b9d122><button class="btn text-primary" data-v-51b9d122><i class="fas fa-shopping-cart" data-v-51b9d122></i></button><button class="btn text-danger" data-v-51b9d122><i class="fa fa-heart" data-v-51b9d122></i></button>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: "../boutique/code/" + p.code,
            class: "btn btn1"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<i class="fas fa-eye" data-v-51b9d122${_scopeId}></i>`);
              } else {
                return [
                  createVNode("i", { class: "fas fa-eye" })
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div></div></div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<div class="row" data-v-51b9d122><div class="col-4 m-auto" data-v-51b9d122><div class="vh-50" data-v-51b9d122><button class="btn text-center btn-primary btn-lg btn-block" type="button" data-v-51b9d122> Charger tout les produits </button></div></div></div>`);
      }
      _push(`</div></div>`);
      if (unref(long) > 50) {
        _push(`<div class="pagination-area mt-50 over-hidden position-relative" data-v-51b9d122><div class="row" data-v-51b9d122><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12" data-v-51b9d122><nav class="pagination-page" aria-label="Page navigation example" data-v-51b9d122><ul class="pagination align-items-center justify-content-center" data-v-51b9d122><li class="page-item" data-v-51b9d122><a class="page-link prev" href="#" data-v-51b9d122><i class="fas fa-angle-left" data-v-51b9d122></i> Prev </a></li><li class="page-item" data-v-51b9d122><a class="page-link" href="#" data-v-51b9d122>1</a></li><li class="page-item" data-v-51b9d122><a class="page-link" href="#" data-v-51b9d122>2</a></li><li class="page-item" data-v-51b9d122><a class="page-link" href="#" data-v-51b9d122>3</a></li><li class="page-item" data-v-51b9d122><a class="page-link" href="#" data-v-51b9d122>4</a></li><li class="page-item" data-v-51b9d122><a class="page-link next" href="#" data-v-51b9d122> Next <i class="fas fa-angle-right" data-v-51b9d122></i></a></li></ul></nav></div></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/sh-Produts.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const __nuxt_component_2 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-51b9d122"]]);
const _sfc_main = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  const _component_Header = _sfc_main$3;
  const _component_sh_banner = __nuxt_component_1;
  const _component_sh_Produts = __nuxt_component_2;
  const _component_CtaInscription = _sfc_main$4;
  _push(`<!--[-->`);
  _push(ssrRenderComponent(_component_Header, null, null, _parent));
  _push(ssrRenderComponent(_component_sh_banner, {
    title: "Notre Boutique",
    subtitle: "Shop"
  }, null, _parent));
  _push(ssrRenderComponent(_component_sh_Produts, null, null, _parent));
  _push(ssrRenderComponent(_component_CtaInscription, null, null, _parent));
  _push(`<!--]-->`);
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/boutique/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender]]);

export { index as default };
//# sourceMappingURL=index-SlkU-ick.mjs.map
