import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { defineComponent, ref, unref, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrRenderAttr, ssrInterpolate } from 'vue/server-renderer';
import { _ as _imports_0 } from './icon-QzuyK0xg.mjs';
import Swal from 'sweetalert2';
import { useRoute } from 'vue-router';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import '../server.mjs';
import 'unhead';
import '@unhead/shared';
import './logo-BdZ9DXkY.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "inscription",
  __ssrInlineRender: true,
  setup(__props) {
    const route = useRoute();
    const email = route.query.email;
    console.log(route.query);
    const form = ref({
      name: "",
      lastname: "",
      email: "",
      username: "",
      password: "",
      password_confirmation: ""
    });
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 3e3,
      timerProgressBar: true,
      didOpen: (toast) => {
        toast.addEventListener("mouseenter", Swal.stopTimer);
        toast.addEventListener("mouseleave", Swal.resumeTimer);
      }
    });
    if (route.query.email) {
      form.value.email = email;
    }
    ref(false);
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      _push(`<!--[-->`);
      if (unref(email)) {
        _push(`<div class="container"><div class="row"><div class="col-12"><div class="w-auto alert alert-dismissible animate fade show bg-success-subtle bg-darken-sm shadow-lg shadow-primary rounded-pill" role="alert"><div class="d-flex flex-sm-row"><div class="col-md-2 text-sm-center"><i class="fas fa-envelope-open-text fs-1 text-success"></i></div><div class="col-md-8 text-sm-center"><h5 class="text-sm-center text-success"><strong>Felicitation nous vous avons enoyer un email</strong></h5></div><div class="col-md-2 mx-auto text-end"><button class="btn btn-warning rounded-pill fw-bold"><i class="fas fa-sign-in-alt"></i> Connexion</button></div></div></div></div></div></div>`);
      } else {
        _push(ssrRenderComponent(_component_Header, null, null, _parent));
      }
      _push(`<div class="container"><div class="login-register-area mb-5"><div class="container"><div class="row"><div class="col-12"><section class="login-area pt-1 pb-0"><div class="container"><div class="row justify-content-center"><div class="col-lg-8"><div class="basic-login shadow-lg bg-body-tertiary rounded"><h3 class="text-center mb-3">Inscription </h3><form><div class="row"><div class="col-md-6"><label for="name">Nom <span>**</span></label><input id="name" type="text" placeholder="Entrer votre nom" class="shadow-lg bg-body-white rounded"${ssrRenderAttr("value", unref(form).name)} required></div><div class="col-md-6"><label for="lastname">Pr\xE9nom <span>**</span></label><input id="lastname" type="text" placeholder="Entrer votre pr\xE9nom" class="shadow-lg bg-body-white rounded"${ssrRenderAttr("value", unref(form).lastname)} required></div><div class="col-md-12"><label for="email">Email <span>**</span></label><input id="email" type="email" placeholder="Entrer votre email" class="shadow-lg bg-body-white rounded"${ssrRenderAttr("value", unref(form).email)} required></div><div class="col-md-6"><label for="password">Mots de passe <span>**</span></label><input id="password" type="password" placeholder="Entrer votre mots de passe ..." class="shadow-lg bg-body-white rounded"${ssrRenderAttr("value", unref(form).password)} required></div><div class="col-md-6"><label for="password">Confirmer voutre Mots de passe <span>**</span></label><input id="password" type="password" placeholder="re-Entrer votre mots de passe ..." class="shadow-lg bg-body-white rounded"${ssrRenderAttr("value", unref(form).password_confirmation)} required></div></div><button type="submit" class="bt-btn theme-bg w-100 shadow-lg">Inscription</button><div class="or-divide"><span>or</span></div><a href="/login" class="bt-btn bt-btn-black text-center w-100">Connexion </a></form></div></div></div></div></section></div></div></div></div></div><section class="call-action-area call-action-one"><div class="container"><div class="row align-items-center call-action-content"><div class="col-xl-8 col-lg-8"><div class="call-action-text"><h2 class="action-title">${ssrInterpolate(unref(email))} <br>Souhatez-vous recevoir vos facture et g\xE9rer vos equiments </h2><p class="text-lg"> Votre Tableau de bord vous permet de g\xE9rer vos \xE9quipements et de recevoir vos factures par email et bien plus </p></div></div><div class="col-xl-4 col-lg-4 col-sm-12 d-flex flex-row"><img class="myImgg shadow-lg bg-body-white"${ssrRenderAttr("src", _imports_0)} alt=""><div class="call-action-btn rounded-buttons text-lg-end text-center"><a href="/inscription" class="btn btn-warning rounded-pill px-5 py-3 fw-bold shadow-lg"> Inscrivez-vous </a></div></div></div></div></section><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/inscription.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=inscription-pv9HEAv2.mjs.map
