import { b as buildAssetsURL } from '../../handlers/renderer.mjs';
import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { useSSRContext, defineComponent, ref, withAsyncContext, withCtx, createVNode, unref, createTextVNode, toDisplayString } from 'vue';
import { _ as _export_sfc, d as useAuth } from '../server.mjs';
import { u as useFetch, _ as _imports_0$1 } from './logo-BdZ9DXkY.mjs';
import { ssrRenderComponent, ssrRenderAttr, ssrInterpolate, ssrRenderStyle } from 'vue/server-renderer';
import { _ as _sfc_main$2 } from './temoignage-AWa41xdS.mjs';
import { _ as __nuxt_component_2 } from './pied-yCQn9rB_.mjs';
import { _ as _imports_3 } from './ABENES_BENIN-2gZCcl6o.mjs';
import 'vue-bundle-renderer/runtime';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import 'swiper/vue';
import 'swiper/modules';
import './nuxt-img-XFt3MqOM.mjs';
import './index-tbNGurtz.mjs';

const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "headerMob",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    ref();
    ref();
    ref();
    ref();
    ref();
    ref();
    ref();
    const catList = ref();
    ref();
    ref();
    const sta = ref();
    const dato = ref();
    const { status, data, signOut, getCsrfToken } = useAuth();
    sta.value = status.value;
    dato.value = data.value;
    const souh = ref();
    const panier = ref();
    const csrfToken = ([__temp, __restore] = withAsyncContext(() => getCsrfToken()), __temp = await __temp, __restore(), __temp);
    async function getCat() {
      try {
        const { data: ca } = await useFetch("/api/dash/prod/cat", "$0FsOHCodIM");
        catList.value = ca.value;
      } catch (error) {
        console.log(error);
      }
    }
    [__temp, __restore] = withAsyncContext(() => getSouhait()), await __temp, __restore();
    async function getSouhait() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/souhait/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$nxQ9eCkby3");
          souh.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    async function getPanier() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$mt3zc1Eri8");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      } else {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                navToken: csrfToken,
                userMail: ""
              }
            }
          }, "$pzOKbURQlx");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    [__temp, __restore] = withAsyncContext(() => getCat()), __temp = await __temp, __restore(), [__temp, __restore] = withAsyncContext(() => getPanier()), __temp = await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<!--[--><div class="mobile-menu-area pt-20 pb-20 shadow-lg shadow-primary"><div class="container"><div class="row align-items-center"><div class="col-6">`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="logo"${_scopeId}><img${ssrRenderAttr("src", _imports_0$1)} height="60" width="80" alt="Logo ABENES SARL Benin ZOGBO Fifadji"${_scopeId}></div>`);
          } else {
            return [
              createVNode("div", { class: "logo" }, [
                createVNode("img", {
                  src: _imports_0$1,
                  height: "60",
                  width: "80",
                  alt: "Logo ABENES SARL Benin ZOGBO Fifadji"
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="col-6"><button class="mobile-menubar bar-style btn-danger"><i class="fal fa-bars"></i></button><ul class="h-shop position-relative pl-25 d-md-block float-end pr-10"><li class="position-relative"><ul class="header-cart-wrapper d-flex align-items-center"><li class="header-shopping-cart cart-item position-relative">`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/mon-espace/commande" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="" data-toggle="tooltip" data-selector="true" data-placement="bottom" title="Add to cart"${_scopeId}><i class="fas fa-user"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", {
                  class: "",
                  "data-toggle": "tooltip",
                  "data-selector": "true",
                  "data-placement": "bottom",
                  title: "Add to cart"
                }, [
                  createVNode("i", { class: "fas fa-user" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      if (unref(panier)) {
        _push(`<span class="s-count position-absolute theme-bg text-white text-center">${ssrInterpolate(unref(panier).length)}</span>`);
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/panier" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      if (unref(panier)) {
        _push(`<span class="s-count position-absolute theme-bg text-white text-center">${ssrInterpolate(unref(panier).length)}</span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</li></ul></li></ul></div></div></div></div><div class="side-mobile-menu bg-white pt-20 pb-30 pl-40 pr-40 pb-100"><div class="close-icon d-flex justify-content-end mt-0"><a class="close-menu d-block" href="javascript:void(0);"><span class="icon-clear"></span></a></div><div class="header-search-content position-relative d-block d-xl-none mt-20"><form action="#" class="position-relative"><input class="form-control rounded-0 h5-theme-color px-0" type="text" placeholder="Enter Keyword..."><a class="position-absolute primary-color d-block" href="#"><span class="icon-search"></span></a></form></div><div class="mobile-menu mt-10 mean-container"><div class="mean-bar"><a href="#nav" class="meanmenu-reveal" style="${ssrRenderStyle({ "right": "0px", "left": "auto", "display": "inline" })}"></a><nav class="mean-nav"><ul class="d-block" style="${ssrRenderStyle({ "display": "none" })}"><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "active",
        href: "/"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Acceuil `);
          } else {
            return [
              createTextVNode("Acceuil ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/boutique" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Boutique`);
          } else {
            return [
              createTextVNode("Boutique")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "dp-menu",
        href: "/about"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` A propos`);
          } else {
            return [
              createTextVNode(" A propos")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<ul class="mega-menu mega-dropdown-menu box-shadow-gray pt-25 pb-20 pl-30 pr-30" style="${ssrRenderStyle({ "display": "none" })}"><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/qui" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Qui sommes Nous`);
          } else {
            return [
              createTextVNode("Qui sommes Nous")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/equipe" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Notre equipe`);
          } else {
            return [
              createTextVNode("Notre equipe")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/vision" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Notre Vision`);
          } else {
            return [
              createTextVNode("Notre Vision")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul><a class="mean-expand" href="#" style="${ssrRenderStyle({ "font-size": "18px" })}">+</a></li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "mr-0",
        href: "/contact-us"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Contact`);
          } else {
            return [
              createTextVNode("Contact")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul></nav></div></div><div class="menu-login pt-10 d-block d-md-none"><ul class="header-login d-flex justify-content-between mobile-border-b"><li>`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: "/dashboard",
          class: "dark-black-color1 btn btn-primary text-white"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user-circle text-white"${_scopeId}></i></span> ${ssrInterpolate(unref(dato).user.lastname.charAt(0).toUpperCase())}. ${ssrInterpolate(unref(dato).user.name.toUpperCase())}`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user-circle text-white" })
                ]),
                createTextVNode(" " + toDisplayString(unref(dato).user.lastname.charAt(0).toUpperCase()) + ". " + toDisplayString(unref(dato).user.name.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: "/login",
          title: "Mon Compte",
          class: "dark-black-color"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user-circle"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user-circle" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</li><li>`);
      if (unref(sta) === "authenticated") {
        _push(`<button class="dark-black-color1 btn btn-danger text-withe"><span><i class="fas fa-sign-out-alt text-white"></i></span> Deconnexion </button>`);
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, { href: "/login" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<i class="fal fa-user-circle"${_scopeId}></i>connection `);
            } else {
              return [
                createVNode("i", { class: "fal fa-user-circle" }),
                createTextVNode("connection ")
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</li></ul><ul class="header-heart d-flex justify-content-between mobile-border-b"><li><a href="/mon-espace/souhait">Ma liste de souhaits</a></li>`);
      if (unref(souh)) {
        _push(`<li><a href="/mon-espace/souhait">${ssrInterpolate(unref(souh).length)}<span class="icon-heart"></span></a></li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</ul></div><h6 class="light-black-color2 font600 mt-30 pb-1 border-primary-b d-inline-block">Contact us</h6><ul class="contact-add mt-20"><li class="mb-15 primary-color"><span class="pr-1"><i class="fas fa-map-marker-alt"></i></span> PO Box 16122 Collins Street Victoria 8007 Australia </li><li class="mb-20 primary-color"><span class="pr-1"><i class="far fa-envelope"></i></span><a href="" class="">contact@avatech.bj</a></li><li class="mb-15"><a class="primary-color" href="tell:+22997121497"><span class="pr-1"><i class="fas fa-phone"></i></span> +229 97 12 14 97</a></li></ul><ul class="social-link pt-2 mb-150"><li class="d-inline-block"><a class="active primary-color-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-facebook-f"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-twitter"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-instagram"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-behance"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-youtube"></i></a></li></ul></div><div class="body-overlay"></div><!--]-->`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/headerMob.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _imports_0 = "" + buildAssetsURL("livraison.l8HlYFFU.jpg");
const _imports_1 = "" + buildAssetsURL("avion.Q7440TDV.jpg");
const _imports_2 = "" + buildAssetsURL("cargo.2Xbyk08o.jpg");
const _sfc_main = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  const _component_HeaderMob = _sfc_main$1;
  const _component_Temoignage = _sfc_main$2;
  const _component_Pied = __nuxt_component_2;
  _push(`<!--[--><main>`);
  _push(ssrRenderComponent(_component_HeaderMob, null, null, _parent));
  _push(`<div class="slider-area over-hidden"><div class="single-slider page-height3 d-flex align-items-center"><div class="container-fluid"><div class="row"><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 d-flex align-items-center justify-content-center"><div class="page-title mt-10 text-center p-5 rounded" style="${ssrRenderStyle({ "background-color": "#f5f5f552" })}"><h2 class="text-capitalize text-dark font600 mb-10">Nous vous livrons partout</h2></div></div></div></div></div></div><div class="container pt-5"><h1 class="text-center"> ABENES | LIVRAISON </h1><p class="text-center"> Passez votre commande et nous vous livrons dans les plus brefs d\xE9lais. <br></p><div class="text-center pb-20"><a href="/contact-us" class="btn btn-primary rounded-pill">Contactez-nous</a> ou <a href="/boutique" class="btn btn-warning rounded-pill">Visitez notre boutique</a></div><div class="row gx-0 mx-2"><div class="col-md-6"><div class="card shadow-lg"><img${ssrRenderAttr("src", _imports_0)} class="card-img-top" alt=""><div class="card-body"><h5>Nous livrons jusqu&#39;a votre porte</h5></div></div></div><div class="col-lg-6 px-1 py-2"><h1 class="mb-2">ABENES | C&#39;est des Solutions Rapide et fiable de transport</h1><p class="mb-1">Puisque votre activit\xE9 est important nous mettons un accens sur la livraison en vous proposant les Solution les plus rapide avec un cout plus faible</p><div class="row g-2 mb-1 mx-2"><div class="col-sm-6"><i class="fa fa-globe fa-3x text-primary mb-3"></i><h5>Livraison Mondiale</h5><p class="m-0">Pour mieu vous servir nous avons tisser des partenariat avec les leader mondiaux des transport Internationaux</p></div><div class="col-sm-6"><i class="fa fa-shipping-fast fa-3x text-primary mb-3"></i><h5>Livraison sans retard</h5><p class="m-0">Nos Delais son strict et nous nous efforcons de ne avoir de retard qui puissent vous penalise</p></div></div><div class="col-md-12 text-center"><a href="" class="btn btn-primary rounded-pill py-2 px-5">Nos Condition de livraison</a></div></div></div></div><div class="container-xxl py-5"><div class="container py-5 shadow-lg mb-5 bg-body-tertiary rounded"><div class="row g-5"><div class="col-lg-6"><h6 class="text-secondary text-uppercase mb-3">Quelque Chiffres</h6><h1 class="mb-5"><b class="text-primary">#2023</b> Nous Nous sommes surpass\xE9 dans les livraison</h1><p class="mb-5"> En 2023, les chiffres impressionnants ne sont plus la seule mesure de notre succ\xE8s. Nous voulons aller au-del\xE0 des statistiques et vous offrir une exp\xE9rience de livraison exceptionnelle. </p><div class="d-flex align-items-center shadow-lg p-3 rounded-pill"><i class="fa fa-envelope-open-text fa-2x flex-shrink-0 bg-primary p-3 text-white rounded-pill shadow-lg rounded"></i><div class="ps-4"><h6>Ecrivez nous pour tout vos requette</h6><a href="mailto:contact@abenes.bj"><h3 class="text-primary m-0">contact@abenes.bj</h3></a></div></div></div><div class="col-lg-6"><div class="row g-4 align-items-center"><div class="col-sm-6"><div class="bg-primary p-4 mb-4 shadow-lg rounded"><i class="fa fa-users fa-2x text-white mb-3"></i><h2 class="text-white mb-2" data-toggle="counter-up">+3500</h2><p class="text-white mb-0">Clients Heureux</p></div><div class="bg-warning p-4 shadow-lg rounded text-dark"><i class="fa fa-ship fa-2x text-dark mb-3"></i><h2 class="mb-2" data-toggle="counter-up">+1400</h2><p class="mb-0">Livraison International</p></div></div><div class="col-sm-6"><div class="bg-success p-4 shadow-lg rounded"><i class="fa fa-shipping-fast text-white fa-2x mb-3"></i><h2 class="text-white mb-2" data-toggle="counter-up">+2100</h2><p class="text-white mb-0">Livraison au BENIN</p></div></div></div></div></div></div></div><div class="container py-5 card shadow-lg mb-5 bg-body-white rounded"><div class="text-center wow fadeInUp" data-wow-delay="0.1s" style="${ssrRenderStyle({ "visibility": "visible", "animation-delay": "0.1s", "animation-name": "fadeInUp" })}"><h6 class="text-secondary text-uppercase">Nos Moyen Livraison</h6><h1 class="mb-5">Nous vous expedions vos commande </h1></div><div class="row g-4"><div class="col-md-6 col-lg-4 shadow-lg bg-body-tertiary rounded"><div class="service-item p-4"><div class="overflow-hidden mb-4 shadow-lg rounded"><img class="img-fluid shadow-lg rounded"${ssrRenderAttr("src", _imports_1)} alt=""></div><h4 class="mb-3">Fr\xEAt Aerien</h4><p>Nous avons des Accord avec les plus grand soci\xE9t\xE9 international de Fr\xEAt Aerien . Nous vous livrons vos commande dans les plus bref delais </p></div></div><div class="col-md-6 col-lg-4 shadow-lg bg-body-tertiary rounded"><div class="service-item p-4"><div class="overflow-hidden mb-4 shadow-lg rounded"><img class="img-fluid shadow-lg rounded"${ssrRenderAttr("src", _imports_2)} alt=""></div><h4 class="mb-3">Fr\xEAt Maritime</h4><p>Nous avons des Accord avec les plus grand soci\xE9t\xE9 international de Fr\xEAt Aerien . Nous vous livrons vos commande dans les plus bref delais </p></div></div><div class="col-md-6 col-lg-4"><div class="service-item p-4 shadow-lg bg-body-tertiary rounded"><div class="overflow-hidden mb-4 shadow-lg rounded"><img class="img-fluid shadow-lg rounded"${ssrRenderAttr("src", _imports_3)} alt=""></div><h4 class="mb-3">Transport Terrestre </h4><p>Nous avons des Accord avec les plus grand soci\xE9t\xE9 international de Fr\xEAt Aerien . Nous vous livrons vos commande dans les plus bref delais </p></div></div></div></div>`);
  _push(ssrRenderComponent(_component_Temoignage, null, null, _parent));
  _push(`</main>`);
  _push(ssrRenderComponent(_component_Pied, null, null, _parent));
  _push(`<!--]-->`);
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/livraison.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const livraison = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender]]);

export { livraison as default };
//# sourceMappingURL=livraison-9QrBHb2W.mjs.map
