import { d as defineMongooseModel } from './model.mjs';

const BannerSchema = defineMongooseModel({
  name: "Banner",
  schema: {
    myid: {
      type: String,
      required: true,
      unique: true
    },
    R\u00E9f\u00E9rence: {
      type: String,
      required: true,
      unique: true
    },
    categorie: {
      type: String,
      required: true
    },
    message: {
      type: String
    },
    NomProduits: {
      type: String
    },
    Img: {
      type: String
    },
    Texte: {
      type: String,
      required: true
    },
    link: {
      type: String
    }
  }
});

export { BannerSchema as B };
//# sourceMappingURL=banner.mjs.map
