import { l as defineEventHandler, r as readBody } from './nitro/node-server.mjs';
import { N as NewlesterShema } from './newlester.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const index_delete = defineEventHandler(async (event) => {
  const body = await readBody(event);
  try {
    const r = await NewlesterShema.deleteOne({ _id: body.id });
    return r;
  } catch (error) {
    console.error(error);
  }
});

export { index_delete as default };
//# sourceMappingURL=index.delete.mjs.map
