import { d as defineMongooseModel } from './model.mjs';

const dates = /* @__PURE__ */ new Date();
const NewlesterShema = defineMongooseModel({
  name: "Newlester",
  schema: {
    email: {
      type: String,
      required: true,
      unique: true,
      lowercase: true
    },
    dates: {
      type: {
        type: Date,
        default: dates
      }
    },
    etat: {
      type: {
        type: Boolean,
        default: true
      }
    }
  }
});

export { NewlesterShema as N };
//# sourceMappingURL=newlester.mjs.map
