import { l as defineEventHandler, r as readBody } from './nitro/node-server.mjs';
import { P as ProduitShema } from './produit.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const shop_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  const filtre = Object.entries(body.filtre).reduce((acc, [key, value]) => {
    if (value !== "") {
      acc[key] = value;
    }
    return acc;
  }, {});
  console.log(filtre);
  const filtre2 = {
    ...filtre,
    prodNom: { $regex: new RegExp(body.regex.prodNom), $options: "i" }
  };
  try {
    const r = await ProduitShema.find(filtre2);
    return r;
  } catch (error) {
    console.error(error);
  }
});

export { shop_post as default };
//# sourceMappingURL=shop.post.mjs.map
