import { d as defineMongooseModel } from './model.mjs';

const SouhaitSchema = defineMongooseModel({
  name: "Souhait",
  schema: {
    prodid: {
      type: String,
      required: true
    },
    code: {
      type: String,
      required: true
    },
    NomProduits: {
      type: String,
      required: true
    },
    Img: {
      type: String
    },
    navToken: {
      type: String,
      required: true,
      unique: true
    },
    userid: {
      type: String
    },
    userMail: {
      type: String
    }
  }
});

export { SouhaitSchema as S };
//# sourceMappingURL=souhait.mjs.map
