import { l as defineEventHandler, r as readBody } from './nitro/node-server.mjs';
import { B as BannerSchema } from './banner.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const sup_delete = defineEventHandler(async (event) => {
  const body = await readBody(event);
  try {
    const u = await BannerSchema.deleteOne({ _id: body.id });
    return u;
  } catch (error) {
    return error;
  }
});

export { sup_delete as default };
//# sourceMappingURL=sup.delete.mjs.map
