import { l as defineEventHandler, r as readBody } from './nitro/node-server.mjs';
import { B as BannerSchema } from './banner.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const add_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  try {
    const r = await new BannerSchema(body).save();
    return r;
  } catch (error) {
    console.error(error);
  }
});

export { add_post as default };
//# sourceMappingURL=add.post.mjs.map
