import { l as defineEventHandler, r as readBody } from './nitro/node-server.mjs';
import { S as SouhaitSchema } from './souhait.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const ajout_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  try {
    const r = await new SouhaitSchema(body).save();
    return r;
  } catch (error) {
    console.error(error);
  }
});

export { ajout_post as default };
//# sourceMappingURL=ajout.post.mjs.map
