import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { defineComponent, ref, withAsyncContext, mergeProps, unref, withCtx, createVNode, toDisplayString, createTextVNode, useSSRContext } from 'vue';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList } from 'vue/server-renderer';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Categorie",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const col1 = ref();
    const col2 = ref();
    const col3 = ref();
    const col4 = ref();
    const col5 = ref();
    const col6 = ref();
    const resu = ref();
    async function getScat() {
      try {
        const { data: re } = await useFetch("/api/dash/prod/scat", "$zclyCTsuT3");
        resu.value = re.value;
        const sortedScat = resu.value.reduce((acc, curr) => {
          if (!acc[curr.nomcat]) {
            acc[curr.nomcat] = { scatNom: [] };
          }
          if (acc[curr.nomcat].scatNom.length < 6) {
            acc[curr.nomcat].scatNom.push(curr.scatNom);
          }
          return acc;
        }, {});
        col1.value = {
          nomcat: Object.keys(sortedScat)[0],
          scatNom: sortedScat[Object.keys(sortedScat)[0]].scatNom
        };
        col2.value = {
          nomcat: Object.keys(sortedScat)[1],
          scatNom: sortedScat[Object.keys(sortedScat)[1]].scatNom
        };
        col3.value = {
          nomcat: Object.keys(sortedScat)[2],
          scatNom: sortedScat[Object.keys(sortedScat)[2]].scatNom
        };
        col4.value = {
          nomcat: Object.keys(sortedScat)[3],
          scatNom: sortedScat[Object.keys(sortedScat)[3]].scatNom
        };
        col5.value = {
          nomcat: Object.keys(sortedScat)[4],
          scatNom: sortedScat[Object.keys(sortedScat)[4]].scatNom
        };
        col6.value = {
          nomcat: Object.keys(sortedScat)[5],
          scatNom: sortedScat[Object.keys(sortedScat)[5]].scatNom
        };
      } catch (error) {
        console.log(error);
      }
    }
    [__temp, __restore] = withAsyncContext(() => getScat()), await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "category-lineup-area mt-10 pb-45" }, _attrs))}><div class="container"><div class="row"><div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12"><div class="category-lineup"><h2>Nos Cat\xE9gories</h2></div></div><div class="category-wrapper category-wrapper1 mt-10"><div class="row">`);
      if (unref(col1)) {
        _push(`<div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12"><div class="category-widget mb-50">`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: "/boutique", query: { "cat\xE9gorie": unref(col1).nomcat } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h5 class="title position-relative d-inline-block hvr mb-25"${_scopeId}>${ssrInterpolate(unref(col1).nomcat.toUpperCase())}</h5>`);
            } else {
              return [
                createVNode("h5", { class: "title position-relative d-inline-block hvr mb-25" }, toDisplayString(unref(col1).nomcat.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        if (unref(col1).scatNom) {
          _push(`<ul><!--[-->`);
          ssrRenderList(unref(col1).scatNom, (c) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: "/boutique", query: { "cat\xE9gorie": unref(col1).nomcat, "sous-cat\xE9gorie": c } }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(c)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(c), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(col2)) {
        _push(`<div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12"><div class="category-widget mb-50">`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: "/boutique", query: { "cat\xE9gorie": unref(col2).nomcat } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h5 class="title position-relative d-inline-block hvr mb-25"${_scopeId}>${ssrInterpolate(unref(col2).nomcat.toUpperCase())}</h5>`);
            } else {
              return [
                createVNode("h5", { class: "title position-relative d-inline-block hvr mb-25" }, toDisplayString(unref(col2).nomcat.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        if (unref(col2).scatNom) {
          _push(`<ul><!--[-->`);
          ssrRenderList(unref(col2).scatNom, (c) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: "/boutique", query: { "cat\xE9gorie": unref(col2).nomcat, "sous-cat\xE9gorie": c } }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(c)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(c), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(col3)) {
        _push(`<div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12"><div class="category-widget mb-50">`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: "/boutique", query: { "cat\xE9gorie": unref(col3).nomcat } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h5 class="title position-relative d-inline-block hvr mb-25"${_scopeId}>${ssrInterpolate(unref(col3).nomcat.toUpperCase())}</h5>`);
            } else {
              return [
                createVNode("h5", { class: "title position-relative d-inline-block hvr mb-25" }, toDisplayString(unref(col3).nomcat.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        if (unref(col3)) {
          _push(`<ul><!--[-->`);
          ssrRenderList(unref(col3).scatNom, (c) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: "/boutique", query: { "cat\xE9gorie": unref(col3).nomcat, "sous-cat\xE9gorie": c } }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(c)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(c), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(col4)) {
        _push(`<div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12"><div class="category-widget mb-50">`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: "/boutique", query: { "cat\xE9gorie": unref(col4).nomcat } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h5 class="title position-relative d-inline-block hvr mb-25"${_scopeId}>${ssrInterpolate(unref(col4).nomcat.toUpperCase())}</h5>`);
            } else {
              return [
                createVNode("h5", { class: "title position-relative d-inline-block hvr mb-25" }, toDisplayString(unref(col4).nomcat.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        if (unref(col4)) {
          _push(`<ul><!--[-->`);
          ssrRenderList(unref(col4).scatNom, (c) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: "/boutique", query: { "cat\xE9gorie": unref(col4).nomcat, "sous-cat\xE9gorie": c } }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(c)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(c), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(col5)) {
        _push(`<div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12"><div class="category-widget mb-50">`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: "/boutique", query: { "cat\xE9gorie": unref(col5).nomcat } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h5 class="title position-relative d-inline-block hvr mb-25"${_scopeId}>${ssrInterpolate(unref(col5).nomcat.toUpperCase())}</h5>`);
            } else {
              return [
                createVNode("h5", { class: "title position-relative d-inline-block hvr mb-25" }, toDisplayString(unref(col5).nomcat.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        if (unref(col5)) {
          _push(`<ul><!--[-->`);
          ssrRenderList(unref(col5).scatNom, (c) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: "/boutique", query: { "cat\xE9gorie": unref(col5).nomcat, "sous-cat\xE9gorie": c } }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(c)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(c), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(col6)) {
        _push(`<div class="col-xxl-2 col-xl-2 col-lg-2 col-md-4 col-sm-4 col-12"><div class="category-widget mb-50">`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: "/boutique", query: { "cat\xE9gorie": unref(col6).nomcat } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h5 class="title position-relative d-inline-block hvr mb-25"${_scopeId}>${ssrInterpolate(unref(col6).nomcat.toUpperCase())}</h5>`);
            } else {
              return [
                createVNode("h5", { class: "title position-relative d-inline-block hvr mb-25" }, toDisplayString(unref(col6).nomcat.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        if (unref(col6)) {
          _push(`<ul><!--[-->`);
          ssrRenderList(unref(col6).scatNom, (c) => {
            _push(`<li>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: "/boutique", query: { "cat\xE9gorie": unref(col6).nomcat, "sous-cat\xE9gorie": c } }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(c)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(c), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/Categorie.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=Categorie-FLUM1zeI.mjs.map
