import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { defineComponent, ref, withAsyncContext, withCtx, createVNode, unref, createTextVNode, toDisplayString, openBlock, createBlock, useSSRContext } from 'vue';
import { d as useAuth } from '../server.mjs';
import { u as useFetch, _ as _imports_0 } from './logo-BdZ9DXkY.mjs';
import { ssrRenderComponent, ssrRenderAttr, ssrRenderList, ssrInterpolate, ssrRenderStyle } from 'vue/server-renderer';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "header",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    ref();
    ref();
    ref();
    ref();
    ref();
    ref();
    const seach = ref();
    const catList = ref();
    ref();
    ref();
    const sta = ref();
    const dato = ref();
    const { status, data, signOut, getCsrfToken } = useAuth();
    sta.value = status.value;
    dato.value = data.value;
    const souh = ref();
    const panier = ref();
    const csrfToken = ([__temp, __restore] = withAsyncContext(() => getCsrfToken()), __temp = await __temp, __restore(), __temp);
    async function getCat() {
      try {
        const { data: ca } = await useFetch("/api/dash/prod/cat", "$lD2qb1xWur");
        catList.value = ca.value;
      } catch (error) {
        console.log(error);
      }
    }
    [__temp, __restore] = withAsyncContext(() => getSouhait()), await __temp, __restore();
    async function getSouhait() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/souhait/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$cgDYJ93eIM");
          souh.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    async function getPanier() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$zOCmmrQmCJ");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      } else {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                navToken: csrfToken,
                userMail: ""
              }
            }
          }, "$sRyeH8qFuh");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    [__temp, __restore] = withAsyncContext(() => getCat()), __temp = await __temp, __restore(), [__temp, __restore] = withAsyncContext(() => getPanier()), __temp = await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<!--[--><header class="d-none d-lg-block"><div class="header-area header-area1"><div class="header extra-padding-55"><div class="container-fluid"><div class="row align-items-center"><div class="col-xxl-1 col-xl-1 col-xl-1 col-lg-2 col-md-2 col-sm-12 col-12 pr-md-0"><div class="logo-area"><div class="logo white-bg z-index1 position-relative">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/",
        class: "d-block",
        "data-toggle": "tooltip",
        "data-selector": "true",
        "data-placement": "bottom",
        title: "Page d'acceuil ABENES SARL"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img${ssrRenderAttr("src", _imports_0)} height="100" width="100" alt="logo ABENES SARL Benin "${_scopeId}>`);
          } else {
            return [
              createVNode("img", {
                src: _imports_0,
                height: "100",
                width: "100",
                alt: "logo ABENES SARL Benin "
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div><div class="col-xxl-11 col-xl-11 col-lg-10 col-md-10 col-sm-12 col-12 pl-md-0"><div class="header-right-area pl-90"><div class="header-top position-relative ptb-17 over-y-hidden"><div class="row"><div class="col-xxl-8 col-xl-7 col-lg-7 col-md-3 col-sm-12 col-12 pr-0"><div class="header-search position-relative mr-1 d-lg-inline-block" data-toggle="tooltip" data-selector="true" data-placement="bottom" title="Rechercher un Article"><div class="search-form"><form method="post"><div class="d-none d-lg-inline-block width100"><input type="text"${ssrRenderAttr("value", unref(seach))} placeholder="Rechercher un Article" class="border-0 pl-45 width100 gray-bg4"><span class="position-absolute"><span class="icon-search"></span></span></div></form><ul class="h-top-left position-absolute dark-l-gray-border1 pr-1"><li><div class="currency-area d-none d-md-block pl-25"><ul><li class="position-relative transition-3">`);
      if (unref(catList)) {
        _push(`<select class="currency d-inline-block text-capitalize form-select combo"><option selected>Cat\xE9gorie</option><!--[-->`);
        ssrRenderList(unref(catList), (cat2) => {
          _push(`<option${ssrRenderAttr("value", cat2.nom)}>${ssrInterpolate(cat2.nom)}</option>`);
        });
        _push(`<!--]--></select>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</li></ul></div></li></ul></div></div><div class="float-right d-none d-lg-inline-block"><a class="web-btn header-btn theme-border1 d-inline-block text-capitalize white theme-bg position-relative over-hidden pl-35 pr-35 ptb-12">Recherche</a></div></div><div class="col-xxl-4 col-xl-5 col-lg-5 col-md-9 col-sm-0 col-0 pl-0 d-flex align-items-center justify-content-end"><div class="header-right d-flex align-items-center"><ul class="header-account d-none d-md-block mr-26"><li class="d-none d-md-inline-block">`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: "/dashboard",
          class: "dark-black-color1 btn btn-primary text-withe"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user-circle text-white"${_scopeId}></i></span> ${ssrInterpolate(unref(dato).user.lastname.charAt(0).toUpperCase())}. ${ssrInterpolate(unref(dato).user.name.charAt(0).toUpperCase())}`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user-circle text-white" })
                ]),
                createTextVNode(" " + toDisplayString(unref(dato).user.lastname.charAt(0).toUpperCase()) + ". " + toDisplayString(unref(dato).user.name.charAt(0).toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: "../login",
          "data-toggle": "tooltip",
          "data-selector": "true",
          "data-placement": "bottom",
          title: "Mon Compte",
          class: "dark-black-color"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user-circle"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user-circle" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</li></ul><ul class="header-compare header-wishlist d-none d-md-block position-relative mr-26 pl-30"><li class="d-none d-md-inline-block"><a href="#" data-toggle="tooltip" data-selector="true" data-placement="bottom" title="Comparaison" class="dark-black-color"><span><i class="fal fa-random"></i></span></a></li></ul><ul class="header-wishlist d-none d-md-block mr-26 pl-30 position-relative"><li class="position-relative">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "/mon-espace/souhait",
        "data-toggle": "tooltip",
        "data-selector": "true",
        "data-placement": "bottom",
        title: "Voir ma liste de souhaits",
        class: "dark-black-color"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span${_scopeId}><i class="fal fa-heart"${_scopeId}></i></span>`);
            if (unref(souh)) {
              _push2(`<span class="s-count position-absolute theme-bg text-white text-center"${_scopeId}>${ssrInterpolate(unref(souh).length)}</span>`);
            } else {
              _push2(`<span class="s-count position-absolute theme-bg text-white text-center"${_scopeId}>0</span>`);
            }
          } else {
            return [
              createVNode("span", null, [
                createVNode("i", { class: "fal fa-heart" })
              ]),
              unref(souh) ? (openBlock(), createBlock("span", {
                key: 0,
                class: "s-count position-absolute theme-bg text-white text-center"
              }, toDisplayString(unref(souh).length), 1)) : (openBlock(), createBlock("span", {
                key: 1,
                class: "s-count position-absolute theme-bg text-white text-center"
              }, "0"))
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul><ul class="h-shop position-relative pl-30 d-none d-md-block"><li class="position-relative"><ul class="header-cart-wrapper d-flex align-items-center"><li class="header-shopping-cart position-relative mr-15">`);
      _push(ssrRenderComponent(_component_NuxtLink, null, null, _parent));
      _push(`<span class="" data-toggle="tooltip" data-selector="true" data-placement="bottom" title="Ajouter \xE0 mon caddy"><i class="fal fa-shopping-bag"></i></span><span class="s-count position-absolute theme-bg text-white text-center">${ssrInterpolate(unref(panier).length)}</span></li><li class="cart-content"><div class="my-cart">`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/mon-espace/commande" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="d-block"${_scopeId}>Mon Chariot</span>`);
            } else {
              return [
                createVNode("span", { class: "d-block" }, "Mon Chariot")
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/panier" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="d-block"${_scopeId}>Mon Chariot</span>`);
            } else {
              return [
                createVNode("span", { class: "d-block" }, "Mon Chariot")
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</div><div class="cart-item cursor-pinter d-flex align-items-center">`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/mon-espace/commande" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="font600"${_scopeId}>${ssrInterpolate(unref(panier).length)} Article(s) </span>`);
            } else {
              return [
                createVNode("span", { class: "font600" }, toDisplayString(unref(panier).length) + " Article(s) ", 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/panier" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="font600"${_scopeId}>${ssrInterpolate(unref(panier).length)} Article(s)</span>`);
            } else {
              return [
                createVNode("span", { class: "font600" }, toDisplayString(unref(panier).length) + " Article(s)", 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</div></li></ul><div class="header-shopping-cart-details border-t-gray1 position-absolute bg-white border-gray pl-30 pr-30 pt-30 pb-60"><div class="h-shop-cart-contetn pt-20 over-x-hidden over-y-scroll"><h5 class="mb-30 font500 title position-relative hvr">Your Cart</h5><p>No products in the cart.</p></div><div class="d-sm-flex justify-content-between"><a data-animation="fadeInUp" data-delay="1.7s" href="#" class="web-btn mt-25 d-inline-block text-uppercase white theme-bg position-relative over-hidden pl-30 pr-30 ptb-17">view cart</a><a data-animation="fadeInUp" data-delay="1.7s" href="#" class="web-btn mt-25 d-inline-block text-uppercase white theme-bg position-relative over-hidden pl-30 pr-30 ptb-17">checkout</a></div></div></li></ul></div></div></div></div><div class="header-bottom home1-header-bottom" id="header-sticky"><div class="row align-items-center justify-content-lg-between position-relative"><div class="col-xxl-8 col-xl-8 col-lg-9 col-md-1 col-sm-1 col-1 pr-0 d-flex align-items-center position-static"><div class="main-menu main-menu-1"><nav id="mobile-menu"><ul class="d-block"><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "active",
        href: "/"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Acceuil `);
          } else {
            return [
              createTextVNode("Acceuil ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/boutique" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Boutique`);
          } else {
            return [
              createTextVNode("Boutique")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/equipe" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` A propos`);
          } else {
            return [
              createTextVNode(" A propos")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "mr-0",
        to: "/contact-us"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Contact`);
          } else {
            return [
              createTextVNode("Contact")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul></nav></div></div><div class="col-xxl-4 col-xl-4 col-lg-3 col-md-11 col-sm-12 col-12 pl-0"><div class="header-bottom-right d-flex align-items-center justify-content-end"><ul class="free-order d-xl-block pr-20"><li><a href="/livraison">Service de livraison </a></li></ul><ul class="track-order pl-20 pr-20 position-relative"><li><a href="#">Suivie de Commande</a></li></ul><div class="d-block d-lg-none"><a class="mobile-menubar pt-0 ml-20 hvr" href="javascript:void(0);"><span class="icon-menu"></span></a></div></div></div></div></div></div></div></div></div></div></div></header><div class="mobile-menu-area pt-20 pb-20 d-lg-none shadow-lg shadow-primary"><div class="container"><div class="row align-items-center"><div class="col-6">`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="logo"${_scopeId}><img${ssrRenderAttr("src", _imports_0)} height="60" width="80" alt="Logo ABENES SARL Benin ZOGBO Fifadji"${_scopeId}></div>`);
          } else {
            return [
              createVNode("div", { class: "logo" }, [
                createVNode("img", {
                  src: _imports_0,
                  height: "60",
                  width: "80",
                  alt: "Logo ABENES SARL Benin ZOGBO Fifadji"
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="col-6"><button class="mobile-menubar bar-style btn-danger"><i class="fal fa-bars"></i></button><ul class="h-shop position-relative pl-25 d-md-block float-end pr-10"><li class="position-relative"><ul class="header-cart-wrapper d-flex align-items-center"><li class="header-shopping-cart cart-item position-relative">`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/mon-espace/commande" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="" data-toggle="tooltip" data-selector="true" data-placement="bottom" title="Add to cart"${_scopeId}><i class="fal fa-shopping-bag"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", {
                  class: "",
                  "data-toggle": "tooltip",
                  "data-selector": "true",
                  "data-placement": "bottom",
                  title: "Add to cart"
                }, [
                  createVNode("i", { class: "fal fa-shopping-bag" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      if (unref(panier)) {
        _push(`<span class="s-count position-absolute theme-bg text-white text-center">${ssrInterpolate(unref(panier).length)}</span>`);
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, { to: "/panier" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span class="" data-toggle="tooltip" data-selector="true" data-placement="bottom" title="Add to cart"${_scopeId}><i class="fal fa-shopping-bag"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", {
                  class: "",
                  "data-toggle": "tooltip",
                  "data-selector": "true",
                  "data-placement": "bottom",
                  title: "Add to cart"
                }, [
                  createVNode("i", { class: "fal fa-shopping-bag" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      if (unref(panier)) {
        _push(`<span class="s-count position-absolute theme-bg text-white text-center">${ssrInterpolate(unref(panier).length)}</span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</li></ul><div class="header-shopping-cart-details border-t-gray1 mt-1 position-absolute bg-white border-gray pl-30 pr-30 pt-35 pb-60"><div class="h-shop-cart-contetn pt-20 over-x-hidden over-y-scroll"><h5 class="mb-30 font500 position-relative hvr2">votre Chariot</h5><p>No products in the cart.</p></div><div class="d-sm-flex justify-content-between"><a data-animation="fadeInUp" data-delay="1.7s" href="#" class="web-btn h2-web-btn mt-25 d-inline-block text-uppercase white h2-theme-bg position-relative over-hidden pl-30 pr-30 ptb-12 line-height-1 font12">view cart</a><a data-animation="fadeInUp" data-delay="1.7s" href="#" class="web-btn h2-web-btn mt-25 d-inline-block text-uppercase white h2-theme-bg position-relative over-hidden pl-30 pr-30 ptb-12 line-height-1 font12">checkout</a></div></div></li></ul></div></div></div></div><div class="side-mobile-menu bg-white pt-20 pb-30 pl-40 pr-40 pb-100 d-lg-none"><div class="close-icon d-flex justify-content-end mt-0"><a class="close-menu d-block" href="javascript:void(0);"><span class="icon-clear"></span></a></div><div class="header-search-content position-relative d-block d-xl-none mt-20"><form action="#" class="position-relative"><input class="form-control rounded-0 h5-theme-color px-0" type="text" placeholder="Enter Keyword..."><a class="position-absolute primary-color d-block" href="#"><span class="icon-search"></span></a></form></div><div class="mobile-menu mt-10 mean-container"><div class="mean-bar"><a href="#nav" class="meanmenu-reveal" style="${ssrRenderStyle({ "right": "0px", "left": "auto", "display": "inline" })}"></a><nav class="mean-nav"><ul class="d-block" style="${ssrRenderStyle({ "display": "none" })}"><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "active",
        href: "/"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Acceuil `);
          } else {
            return [
              createTextVNode("Acceuil ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/boutique" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Boutique`);
          } else {
            return [
              createTextVNode("Boutique")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "dp-menu",
        href: "/about"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` A propos`);
          } else {
            return [
              createTextVNode(" A propos")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<ul class="mega-menu mega-dropdown-menu box-shadow-gray pt-25 pb-20 pl-30 pr-30" style="${ssrRenderStyle({ "display": "none" })}"><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/qui" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Qui sommes Nous`);
          } else {
            return [
              createTextVNode("Qui sommes Nous")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/equipe" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Notre equipe`);
          } else {
            return [
              createTextVNode("Notre equipe")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, { href: "/about/vision" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Notre Vision`);
          } else {
            return [
              createTextVNode("Notre Vision")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul><a class="mean-expand" href="#" style="${ssrRenderStyle({ "font-size": "18px" })}">+</a></li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "mr-0",
        href: "/contact-us"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Contact`);
          } else {
            return [
              createTextVNode("Contact")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul></nav></div></div><div class="menu-login pt-10 d-block d-md-none"><ul class="header-login d-flex justify-content-between mobile-border-b"><li>`);
      if (unref(sta) === "authenticated") {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: "/dashboard",
          class: "dark-black-color1 btn btn-primary text-white"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user-circle text-white"${_scopeId}></i></span> ${ssrInterpolate(unref(dato).user.lastname.charAt(0).toUpperCase())}. ${ssrInterpolate(unref(dato).user.name.toUpperCase())}`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user-circle text-white" })
                ]),
                createTextVNode(" " + toDisplayString(unref(dato).user.lastname.charAt(0).toUpperCase()) + ". " + toDisplayString(unref(dato).user.name.toUpperCase()), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: "../login",
          "data-toggle": "tooltip",
          "data-selector": "true",
          "data-placement": "bottom",
          title: "Mon Compte",
          class: "dark-black-color"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<span${_scopeId}><i class="fal fa-user-circle"${_scopeId}></i></span>`);
            } else {
              return [
                createVNode("span", null, [
                  createVNode("i", { class: "fal fa-user-circle" })
                ])
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</li><li>`);
      if (unref(sta) === "authenticated") {
        _push(`<button class="dark-black-color1 btn btn-danger text-withe"><span><i class="fas fa-sign-out-alt text-white"></i></span> Deconnexion </button>`);
      } else {
        _push(ssrRenderComponent(_component_NuxtLink, { href: "../login" }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<i class="fal fa-user-circle"${_scopeId}></i>connection `);
            } else {
              return [
                createVNode("i", { class: "fal fa-user-circle" }),
                createTextVNode("connection ")
              ];
            }
          }),
          _: 1
        }, _parent));
      }
      _push(`</li></ul><ul class="header-heart d-flex justify-content-between mobile-border-b"><li><a href="/mon-espace/souhait">Ma liste de souhaits</a></li>`);
      if (unref(souh)) {
        _push(`<li><a href="/mon-espace/souhait">${ssrInterpolate(unref(souh).length)}<span class="icon-heart"></span></a></li>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</ul></div><h6 class="light-black-color2 font600 mt-30 pb-1 border-primary-b d-inline-block">Contact us</h6><ul class="contact-add mt-20"><li class="mb-15 primary-color"><span class="pr-1"><i class="fas fa-map-marker-alt"></i></span> PO Box 16122 Collins Street Victoria 8007 Australia </li><li class="mb-20 primary-color"><span class="pr-1"><i class="far fa-envelope"></i></span><a href="" class="">contact@avatech.bj</a></li><li class="mb-15"><a class="primary-color" href="tell:+22997121497"><span class="pr-1"><i class="fas fa-phone"></i></span> +229 97 12 14 97</a></li></ul><ul class="social-link pt-2 mb-150"><li class="d-inline-block"><a class="active primary-color-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-facebook-f"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-twitter"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-instagram"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-behance"></i></a></li><li class="d-inline-block"><a class="primary-color text-center pr-0 d-inline-block transition-3" href="#"><i class="fab fa-youtube"></i></a></li></ul></div><div class="body-overlay"></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/header.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=header-fU_S1xCz.mjs.map
