import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './clt-mobile-dash-gqOpldVW.mjs';
import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, unref, withCtx, createVNode, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrInterpolate, ssrRenderList } from 'vue/server-renderer';
import './logo-BdZ9DXkY.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'vue-router';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "historique",
  __ssrInlineRender: true,
  setup(__props) {
    const { status, data, getCsrfToken } = useAuth();
    const dato = ref();
    const fact = ref();
    dato.value = data.value;
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Clt_mobile_Dash = _sfc_main$2;
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="row"><div class="col-md-2">`);
      _push(ssrRenderComponent(_component_Clt_mobile_Dash, null, null, _parent));
      _push(`</div><div class="col-md-10"><div class="row mt-5"><div class="col-md-10 col-sm-12"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Historique d&#39;achat</h5>`);
      if (unref(fact)) {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">${ssrInterpolate(unref(fact).length)} Facture(s)</h4>`);
      } else {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">0 Facture(s)</h4>`);
      }
      _push(`</div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-warning rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-history fs-4"></i></div></div></div><div class="col-12"><div class="table-responsive"><table class="table table-striped table-hover"><thead><tr><th>Facture</th><th>Montant</th><th>Date</th><th>Actions</th></tr></thead>`);
      if (unref(fact)) {
        _push(`<tbody class="text-center"><!--[-->`);
        ssrRenderList(unref(fact), (f) => {
          _push(`<tr><td>${ssrInterpolate(f.numeroF)}</td><td>${ssrInterpolate(f.montant)} XOF <br><span class="badge bg-warning">${ssrInterpolate(f.etat)}</span></td><td>${ssrInterpolate(new Date(f.date).toLocaleDateString("fr-FR"))}</td><td><button class="btn btn-danger btn-sm">Supprimer</button></td></tr>`);
        });
        _push(`<!--]--></tbody>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</table></div></div></div><div class="row"><div class="col-12"><div class="d-flex align-items-center mt-3">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace",
        class: "btn bg-warning-subtle rounded-pill btn-sm text-dark mt-3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fa fa-arrow-left bsb-rotate-45 text-warning"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fa fa-arrow-left bsb-rotate-45 text-warning" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/mon-espace/historique.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=historique-8Qi8MZTO.mjs.map
