import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './dashadminlink-IIs1WKSP.mjs';
import { defineComponent, ref, provide, createElementBlock, unref, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrRenderList, ssrRenderAttr, ssrInterpolate, ssrRenderStyle, ssrIncludeBooleanAttr } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import '../server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './logo-BdZ9DXkY.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const clientOnlySymbol = Symbol.for("nuxt:client-only");
const __nuxt_component_2 = defineComponent({
  name: "ClientOnly",
  inheritAttrs: false,
  // eslint-disable-next-line vue/require-prop-types
  props: ["fallback", "placeholder", "placeholderTag", "fallbackTag"],
  setup(_, { slots, attrs }) {
    const mounted = ref(false);
    provide(clientOnlySymbol, true);
    return (props) => {
      var _a;
      if (mounted.value) {
        return (_a = slots.default) == null ? void 0 : _a.call(slots);
      }
      const slot = slots.fallback || slots.placeholder;
      if (slot) {
        return slot();
      }
      const fallbackStr = props.fallback || props.placeholder || "";
      const fallbackTag = props.fallbackTag || props.placeholderTag || "span";
      return createElementBlock(fallbackTag, attrs, fallbackStr);
    };
  }
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    const chargement = ref(false);
    const cat = ref();
    const subcat = ref();
    const upProd = ref();
    const p = ref({
      cat: "",
      scat: "",
      mark: "",
      model: "",
      nom: "",
      prodDesCour: "",
      prodDesLong: "",
      prodPrixPromo: 0,
      prodPrix: 0,
      prodImg1: "",
      prodImg2: "",
      prodImg3: "",
      prodQte: 0,
      pdf: "",
      pdfUrl: ""
    });
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 5e3,
      timerProgressBar: true
    });
    const imageSrc1 = ref(null);
    const imageSrc2 = ref(null);
    const imageSrc3 = ref(null);
    const PdfSrc = ref(null);
    const produit = ref();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Dashadminlink = _sfc_main$2;
      const _component_client_only = __nuxt_component_2;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="container-fluid"><div class="row">`);
      _push(ssrRenderComponent(_component_Dashadminlink, null, null, _parent));
      _push(`<div class="col-sm-10 p-3 min-vh-100 shadow p-3 mb-5 bg-body-ligth rounded"><h1>Gestion des Article</h1><div class="row">`);
      if (unref(upProd)) {
        _push(`<div class="col-sm-6 shadow p-3 mb-5 bg-warning rounded"><h5>Formuaire de mise \xE0 jour </h5><form class="row g-3" method="post" enctype="multipart/form-data"><div class="col-md-6"><label for="nomcat" class="form-label">Cat\xE9gorie</label><select class="form-select" name="nomcat" aria-label="Default select example"><option selected>Selectioner une Cat\xE9gorie</option><!--[-->`);
        ssrRenderList(unref(cat), (c) => {
          _push(`<option${ssrRenderAttr("value", c.nom)}>${ssrInterpolate(c.nom.toUpperCase())}</option>`);
        });
        _push(`<!--]--></select></div><div class="col-md-6"><label for="nomscat" class="form-label">Sous-Cat\xE9gorie</label>`);
        if (unref(subcat)) {
          _push(`<select class="form-select" name="nomscat"><!--[-->`);
          ssrRenderList(unref(subcat), (cs) => {
            _push(`<option${ssrRenderAttr("value", cs.scatNom)}>${ssrInterpolate(cs.scatNom.toUpperCase())}</option>`);
          });
          _push(`<!--]--></select>`);
        } else {
          _push(`<div><input type="text" placeholder="Choisir une categorie" class="form-control disable" id="nomscat"${ssrRenderAttr("value", unref(p).scat)} disabled required></div>`);
        }
        _push(`</div><div class="col-md-6"><label for="mark" class="form-label">Marque</label><input type="text" class="form-control" id="mark"${ssrRenderAttr("value", unref(p).mark)} required></div><div class="col-md-6"><label for="model" class="form-label">Model</label><input type="text" class="form-control" id="model"${ssrRenderAttr("value", unref(p).model)} required></div><div class="col-md-12"><label for="nom" class="form-label">Nom du produit</label><input type="text" class="form-control" id="nom"${ssrRenderAttr("value", unref(p).nom)} required></div><div class="col-12"><label for="prodDesCour" class="form-label">Description Courte</label><textarea class="form-control" id="prodDesCour" maxlength="250" required>${ssrInterpolate(unref(p).prodDesCour)}</textarea></div><div class="col-12"><label for="prodDesLong" class="form-label">Description longue</label><textarea class="form-control" id="prodDesLong" required>${ssrInterpolate(unref(p).prodDesLong)}</textarea></div><div class="col-md-6"><label for="prodPrix" class="form-label">Product Price</label><input type="number"${ssrRenderAttr("value", unref(p).prodPrix)} class="form-control" id="prodPrix" required></div><div class="col-md-6"><label for="prodPrixPromo" class="form-label">Promotional Price</label><input type="number"${ssrRenderAttr("value", unref(p).prodPrixPromo)} class="form-control" id="prodPrixPromo"></div><div class="col-md-4"><label for="prodImg1" class="form-label">Product Image 1</label>`);
        if (unref(imageSrc1)) {
          _push(`<div class="card" style="${ssrRenderStyle({ "width": "auto", "height": "auto", "object-fit": "cover" })}"><img${ssrRenderAttr("src", unref(imageSrc1))}></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<input type="file" class="form-control" id="prodImg1" required></div><div class="col-md-4"><label for="prodImg2" class="form-label">Product Image 2</label>`);
        if (unref(imageSrc2)) {
          _push(`<div class="card" style="${ssrRenderStyle({ "width": "auto", "height": "auto", "object-fit": "cover" })}"><img${ssrRenderAttr("src", unref(imageSrc2))}></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<input type="file" class="form-control" id="prodImg2"></div><div class="col-md-4"><label for="prodImg3" class="form-label">Product Image 3</label>`);
        if (unref(imageSrc3)) {
          _push(`<div class="card" style="${ssrRenderStyle({ "width": "auto", "height": "auto", "object-fit": "cover" })}"><img${ssrRenderAttr("src", unref(imageSrc3))}></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<input type="file" class="form-control" id="prodImg3"></div><div class="col-md-6"><label for="prodQte" class="form-label">Product Quantity</label><input type="number"${ssrRenderAttr("value", unref(p).prodQte)} class="form-control" id="prodQte"></div><div class="col-md-6"><label for="pdf" class="form-label">PDF</label><input type="file" class="form-control" id="pdf"></div><div class="col-md-12"><label for="pdfurl" class="form-label">PDF url</label><input type="url" class="form-control"${ssrRenderAttr("value", unref(p).pdfUrl)}></div>`);
        if (unref(PdfSrc)) {
          _push(`<div class="col-md-12"><embed${ssrRenderAttr("src", unref(PdfSrc))} type="application/pdf" width="100%" height="600px"></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="col-12 d-flex"><button type="submit"${ssrIncludeBooleanAttr(unref(chargement)) ? " disabled" : ""} class="btn btn-success m-2 w-50">Metre \xE0 jours</button><button type="submit" class="btn btn-danger m-2 w-50">Annuler</button></div></form></div>`);
      } else {
        _push(`<div class="col-sm-6 shadow p-3 mb-5 bg-body-tertiary rounded"><h5>Formuaire d&#39;ajout d&#39;article</h5><form class="row g-3" method="post" enctype="multipart/form-data"><div class="col-md-6"><label for="nomcat" class="form-label">Cat\xE9gorie</label><select class="form-select" name="nomcat" aria-label="Default select example"><option selected>Selectioner une Cat\xE9gorie</option><!--[-->`);
        ssrRenderList(unref(cat), (c) => {
          _push(`<option${ssrRenderAttr("value", c.nom)}>${ssrInterpolate(c.nom.toUpperCase())}</option>`);
        });
        _push(`<!--]--></select></div><div class="col-md-6"><label for="nomscat" class="form-label">Sous-Cat\xE9gorie</label>`);
        if (unref(subcat)) {
          _push(`<select class="form-select" name="nomscat"><!--[-->`);
          ssrRenderList(unref(subcat), (cs) => {
            _push(`<option${ssrRenderAttr("value", cs.scatNom)}>${ssrInterpolate(cs.scatNom.toUpperCase())}</option>`);
          });
          _push(`<!--]--></select>`);
        } else {
          _push(`<div><input type="text" placeholder="Choisir une categorie" class="form-control disable" id="nomscat" disabled required></div>`);
        }
        _push(`</div><div class="col-md-6"><label for="mark" class="form-label">Marque</label><input type="text" class="form-control" id="mark"${ssrRenderAttr("value", unref(p).mark)} required></div><div class="col-md-6"><label for="model" class="form-label">Model</label><input type="text" class="form-control" id="model"${ssrRenderAttr("value", unref(p).model)} required></div><div class="col-md-12"><label for="nom" class="form-label">Nom du produit</label><input type="text" class="form-control" id="nom"${ssrRenderAttr("value", unref(p).nom)} required></div><div class="col-12"><label for="prodDesCour" class="form-label">Description Courte</label><textarea class="form-control" id="prodDesCour" maxlength="250" required>${ssrInterpolate(unref(p).prodDesCour)}</textarea></div><div class="col-md-6"><label for="prodPrix" class="form-label">Product Price</label><input type="number"${ssrRenderAttr("value", unref(p).prodPrix)} class="form-control" id="prodPrix" required></div><div class="col-md-6"><label for="prodPrixPromo" class="form-label">Promotional Price</label><input type="number"${ssrRenderAttr("value", unref(p).prodPrixPromo)} class="form-control" id="prodPrixPromo"></div><div class="col-md-4"><label for="prodImg1" class="form-label">Product Image 1</label>`);
        if (unref(imageSrc1)) {
          _push(`<div class="card" style="${ssrRenderStyle({ "width": "auto", "height": "auto", "object-fit": "cover" })}"><img${ssrRenderAttr("src", unref(imageSrc1))}></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<input type="file" class="form-control" id="prodImg1" required></div><div class="col-md-4"><label for="prodImg2" class="form-label">Product Image 2</label>`);
        if (unref(imageSrc2)) {
          _push(`<div class="card" style="${ssrRenderStyle({ "width": "auto", "height": "auto", "object-fit": "cover" })}"><img${ssrRenderAttr("src", unref(imageSrc2))}></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<input type="file" class="form-control" id="prodImg2"></div><div class="col-md-4"><label for="prodImg3" class="form-label">Product Image 3</label>`);
        if (unref(imageSrc3)) {
          _push(`<div class="card" style="${ssrRenderStyle({ "width": "auto", "height": "auto", "object-fit": "cover" })}"><img${ssrRenderAttr("src", unref(imageSrc3))}></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<input type="file" class="form-control" id="prodImg3"></div><div class="col-md-6"><label for="prodQte" class="form-label">Product Quantity</label><input type="number"${ssrRenderAttr("value", unref(p).prodQte)} class="form-control" id="prodQte"></div><div class="col-md-6"><label for="pdf" class="form-label">PDF</label><input type="file" class="form-control" id="pdf"></div><div class="col-md-12"><label for="pdfurl" class="form-label">PDF url</label><input type="url" class="form-control"${ssrRenderAttr("value", unref(p).pdfUrl)}></div><div class="col-md-12">`);
        _push(ssrRenderComponent(_component_client_only, null, {}, _parent));
        _push(` ${ssrInterpolate(unref(p).prodDesLong)}</div>`);
        if (unref(PdfSrc)) {
          _push(`<div class="col-md-12"><embed${ssrRenderAttr("src", unref(PdfSrc))} type="application/pdf" width="100%" height="600px"></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="col-12"><button type="submit"${ssrIncludeBooleanAttr(unref(chargement)) ? " disabled" : ""} class="btn btn-success w-100">Enregister</button></div></form></div>`);
      }
      _push(`<div class="col-sm-6"><h5>Liste des articles</h5><div class="table-wrap shadow p-3 mb-5 bg-body-ligth rounded"><table class="table table-responsive table-borderless rounded"><thead class="rounded"><th>img</th><th>Product</th><th>Action</th></thead>`);
      if (unref(produit)) {
        _push(`<tbody><!--[-->`);
        ssrRenderList(unref(produit), (p2) => {
          _push(`<tr class="align-middle alert border-bottom shadow p-3 mb-5 bg-body-ligth rounded" role="alert"><td class="text-center"><img class="pic"${ssrRenderAttr("src", p2.prodImg1)} alt=""></td><td><div><p class="m-0 fw-bold">${ssrInterpolate(p2.mark)} ${ssrInterpolate(p2.model)} ${ssrInterpolate(p2.prodNom)}</p><p class="m-0 text-muted">${ssrInterpolate(p2.prodDesCour)}</p></div></td><td><button class="btn btn-warning float-left m-1"><i class="fas fa-edit"></i></button><button class="btn btn-danger float-left"><i class="fas fa-trash-alt"></i></button></td></tr>`);
        });
        _push(`<!--]--></tbody>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</table></div></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/dashboard/produit/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-LcgmvcD7.mjs.map
