import { b as buildAssetsURL } from '../../handlers/renderer.mjs';
import { _ as _sfc_main$3 } from './header-fU_S1xCz.mjs';
import { Swiper, SwiperSlide } from 'swiper/vue';
import { _ as _sfc_main$4 } from './Categorie-FLUM1zeI.mjs';
import { useSSRContext, defineComponent, ref, withAsyncContext, unref, withCtx, createVNode, createTextVNode, toDisplayString, openBlock, createBlock, Fragment, renderList, mergeProps } from 'vue';
import { ssrRenderComponent, ssrRenderList, ssrRenderStyle, ssrInterpolate, ssrRenderAttrs, ssrRenderAttr } from 'vue/server-renderer';
import { d as useAuth, _ as _export_sfc } from '../server.mjs';
import { _ as __nuxt_component_5 } from './about-xuendZE2.mjs';
import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { _ as __nuxt_component_1 } from './nuxt-img-XFt3MqOM.mjs';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import Swal from 'sweetalert2';
import { _ as __nuxt_component_7 } from './activityDomaine-ba6a0O98.mjs';
import { _ as _sfc_main$5 } from './temoignage-AWa41xdS.mjs';
import { _ as _sfc_main$6 } from './CtaInscription-m7AalgsB.mjs';
import { _ as __nuxt_component_2 } from './pied-yCQn9rB_.mjs';
import { Autoplay, EffectCreative } from 'swiper/modules';
import 'vue-bundle-renderer/runtime';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import './ABENES_BENIN-2gZCcl6o.mjs';
import './index-tbNGurtz.mjs';
import './icon-QzuyK0xg.mjs';

const _imports_0 = "" + buildAssetsURL("banner-img.MSGMS1d9.jpg");
const _imports_1 = "" + buildAssetsURL("banner-img2.xdaxAzWe.jpg");
const _sfc_main$2 = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "banner-area mb-60" }, _attrs))}><div class="container"><div class="row"><div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12"><div class="banner mb-30 transition-3 position-relative over-hidden"><a href="shop.html" class="d-block"><img class="img-zoom transition-3 width100 h-100"${ssrRenderAttr("src", _imports_0)} alt=""></a><div class="banner-content mt--3 position-absolute transfY transfY50 pl-50"><span class="banner-sub-tittle mt--4 d-block text-white font500">Get Upto 50% Flate</span><h3 class="text-white font500 pb-45"><a href="product-details.html" class="text-white">Pressure Meter</a></h3><p class="text-white font300 pb-1">Free Shipping on Order Over $99.</p><a href="#" class="web-btn border-white01 d-inline-block text-capitalize white-bg light-black-color position-relative over-hidden pl-35 pr-35 ptb-12">Shop Now</a></div></div></div><div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12"><div class="banner mb-30 transition-3 position-relative over-hidden wow"><a href="shop.html" class="d-block"><img class="img-zoom transition-3 width100 h-100"${ssrRenderAttr("src", _imports_1)} alt=""></a><div class="banner-content mt--3 position-absolute transfY transfY50 pl-50"><span class="banner-sub-tittle banner-sub-tittle2 mt--4 d-block secondary-color font500">Premium Quality Items</span><h3 class="font500 pb-40 light-black-color2 font-pt"><a href="product-details.html">Hand Sanitizer</a></h3><p class="font300 pb-1 light-black-color2 font300">Care of loved ones. Hand Cleaner.</p><a href="shop.html" class="web-btn theme-border1 d-inline-block text-capitalize white theme-bg position-relative over-hidden pl-35 pr-35 ptb-12">Shop Now</a></div></div></div></div></div></div>`);
}
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/BanHero.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const __nuxt_component_4 = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["ssrRender", _sfc_ssrRender]]);
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "TopProduit",
  __ssrInlineRender: true,
  async setup(__props) {
    var _a;
    let __temp, __restore;
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 1e3,
      timerProgressBar: true
    });
    const cat = ref();
    const prod = ref();
    ref();
    const u = ref();
    ref();
    const { status, data, getCsrfToken } = useAuth();
    u.value = (_a = data.value) == null ? void 0 : _a.user;
    [__temp, __restore] = withAsyncContext(() => getCsrfToken), __temp = await __temp, __restore();
    async function getCat() {
      try {
        const { data: resu } = await useFetch("/api/dash/prod/cat", "$BABLH6ZD4C");
        cat.value = resu.value;
        if (!prod.value && cat.value[0].nom) {
          prodbyCat(cat.value[0].nom);
        }
      } catch (error) {
        console.error("Erreur lors 4:", error);
      }
    }
    [__temp, __restore] = withAsyncContext(() => getCat()), await __temp, __restore();
    async function prodbyCat(nom) {
      try {
        const { data: resu } = await useFetch("/api/dash/prod/find", {
          method: "POST",
          body: {
            filtre: {
              nomcat: nom
            }
          }
        }, "$jhZWKpE88h");
        prod.value = resu.value;
      } catch (error) {
      }
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      const _component_NuxtImg = __nuxt_component_1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "product-area" }, _attrs))} data-v-8c695fce><div class="container" data-v-8c695fce><div class="product-content single-product-tab-content" data-v-8c695fce><div class="row" data-v-8c695fce><div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 pb-15" data-v-8c695fce><div class="section-title text-center" data-v-8c695fce><h3 class="font-pt light-black-color2 pb-1" data-v-8c695fce>Ne manquez pas notre S\xE9lection </h3><p class="light-black-color7 font300" data-v-8c695fce></p></div></div></div><div class="product-wrapper mt-1" data-v-8c695fce><div class="row" data-v-8c695fce><div class="col-xl-9 col-lg-8 col-md-12 col-sm-12 col-12" data-v-8c695fce><div class="blog-area" data-v-8c695fce><div class="container" data-v-8c695fce>`);
      if (unref(prod)) {
        _push(`<div class="row news-post-active" data-v-8c695fce><!--[-->`);
        ssrRenderList(unref(prod).slice(0, 6), (p) => {
          _push(`<div class="col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 plr-20 shadow p-3 bg-body-tertiary rounded" data-v-8c695fce><div class="" data-v-8c695fce><div class="single-blog mb-30" data-v-8c695fce><div class="blog-img position-relative transition-3 mt-25" data-v-8c695fce><div class="over-hidden" data-v-8c695fce>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            class: "position-relative d-block",
            to: "../boutique/code/" + p.code
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(ssrRenderComponent(_component_NuxtImg, {
                  src: p.prodImg1,
                  class: "w-100 img-zoom",
                  alt: p.mark + " " + p.model + " " + p.prodNom
                }, null, _parent2, _scopeId));
              } else {
                return [
                  createVNode(_component_NuxtImg, {
                    src: p.prodImg1,
                    class: "w-100 img-zoom",
                    alt: p.mark + " " + p.model + " " + p.prodNom
                  }, null, 8, ["src", "alt"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`<div class="blog-shadow position-absolute transition-5 light-theme-bg" data-v-8c695fce></div><div class="date position-absolute left-0 bottom-0 d-flex mb-20 ml-30" data-v-8c695fce><a href="#" class="web-btn border-white01 d-inline-block text-capitalize white-bg theme-color position-relative over-hidden pl-35 pr-35 ptb-12" data-v-8c695fce><span data-v-8c695fce>${ssrInterpolate(p.nomscat)}</span></a></div></div></div><div class="single-blog-content position-relative transition-5 pt-3 pr-25" data-v-8c695fce><h5 data-v-8c695fce>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: "../boutique/code/" + p.code
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(p.prodNom.charAt(0).toUpperCase() + p.prodNom.slice(1))} ${ssrInterpolate(p.model)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(p.prodNom.charAt(0).toUpperCase() + p.prodNom.slice(1)) + " " + toDisplayString(p.model), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</h5><p class="pb-1 light-black-color7" data-v-8c695fce>${ssrInterpolate(p.prodDesCour.slice(0, 100))}... </p></div></div></div><div class="mt-2 shadow p-2 bg-ligth rounded-pill bg-primary-subtle text-center" data-v-8c695fce><button href="" class="btn text-primary" data-v-8c695fce><i class="fas fa-shopping-cart" data-v-8c695fce></i></button><button href="" class="btn text-danger" data-v-8c695fce><i class="fa fa-heart" data-v-8c695fce></i></button>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: "../boutique/code/" + p.code,
            class: "btn btn1"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<i class="fas fa-eye" data-v-8c695fce${_scopeId}></i>`);
              } else {
                return [
                  createVNode("i", { class: "fas fa-eye" })
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div></div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div><div class="col-xl-3 col-lg-4 d-none d-lg-block" data-v-8c695fce><div class="product-banner-area position-relative wow" data-v-8c695fce><div class="product-banner-content banner-content-2 position-absolutes top0 left0 right0" style="${ssrRenderStyle({ "background-color": "blue" })}" data-v-8c695fce><div class="pro-banner-text" data-v-8c695fce><h5 class="title cursor-pinter has-border-left d-inline-block position-relative text-white text-uppercase mb-25 font-pt-demi" data-v-8c695fce> Categories</h5>`);
      if (unref(cat)) {
        _push(`<ul class="product-cat-items" data-v-8c695fce><!--[-->`);
        ssrRenderList(unref(cat).slice(0, 6), (c) => {
          _push(`<li class="mb-14" data-v-8c695fce>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            class: "text-white d-block",
            onClick: ($event) => prodbyCat(c.nom)
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<span class="icon-chevron-right" data-v-8c695fce${_scopeId}></span> ${ssrInterpolate(c.nom.toUpperCase())}`);
              } else {
                return [
                  createVNode("span", { class: "icon-chevron-right" }),
                  createTextVNode(" " + toDisplayString(c.nom.toUpperCase()), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="pro-banner-img position-relative" data-v-8c695fce><a href="product-details.html" class="d-block text-center mt-55 pb-18" data-v-8c695fce>`);
      _push(ssrRenderComponent(_component_NuxtImg, {
        class: "img-zoom transition-3",
        src: "@/static/images/banner/sidebar-banner.png",
        alt: ""
      }, null, _parent));
      _push(`</a><div class="off-tag position-absolute" data-v-8c695fce>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        class: "d-flex justify-content-center flex-column text-center",
        to: "../boutique"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<span class="d-block" data-v-8c695fce${_scopeId}>10%</span><span class="d-blocktext-uppercase" data-v-8c695fce${_scopeId}>off</span>`);
          } else {
            return [
              createVNode("span", { class: "d-block" }, "10%"),
              createVNode("span", { class: "d-blocktext-uppercase" }, "off")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div><div class="banner-title text-center" data-v-8c695fce><h4 class="font-pt text-white" data-v-8c695fce>Masque de Protection</h4><a href="#" class="border-b-white01 line-height-1 text-white d-inline-block text-capitalize position-relative" data-v-8c695fce>Achet\xE9 Maintenant</a></div></div></div></div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/TopProduit.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const __nuxt_component_6 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-8c695fce"]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const sluid = ref();
    async function getBanner() {
      try {
        const { data: resu } = await useFetch("/api/dash/acceuil/banner", "$pqtWcjQkdb");
        sluid.value = resu.value;
        return sluid.value;
      } catch (error) {
        console.error("Erreurdes2:", error);
      }
    }
    [__temp, __restore] = withAsyncContext(() => getBanner()), __temp = await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$3;
      const _component_Swiper = Swiper;
      const _component_SwiperSlide = SwiperSlide;
      const _component_Categorie = _sfc_main$4;
      const _component_BanHero = __nuxt_component_4;
      const _component_About = __nuxt_component_5;
      const _component_TopProduit = __nuxt_component_6;
      const _component_ActivityDomaine = __nuxt_component_7;
      const _component_Temoignage = _sfc_main$5;
      const _component_CtaInscription = _sfc_main$6;
      const _component_Pied = __nuxt_component_2;
      _push(`<!--[--><main>`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      if (unref(sluid)) {
        _push(ssrRenderComponent(_component_Swiper, {
          modules: ["SwiperAutoplay" in _ctx ? _ctx.SwiperAutoplay : unref(Autoplay), "SwiperEffectCreative" in _ctx ? _ctx.SwiperEffectCreative : unref(EffectCreative)],
          "slides-per-view": 1,
          loop: true,
          effect: "creative",
          autoplay: { delay: 3e3, disableOnInteraction: true },
          "creative-effect": { prev: { shadow: false, translate: ["-100%", 0, -1] }, next: { translate: ["100%", 0, 0] } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(sluid), (sli) => {
                _push2(ssrRenderComponent(_component_SwiperSlide, {
                  key: sli._id
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<div class="single-slider slider-height d-flex align-items-center" style="${ssrRenderStyle({ backgroundImage: `url(${sli.Img})` })}"${_scopeId2}><div class="container"${_scopeId2}><div class="row"${_scopeId2}><div class="col-xl-12 col-lg-12 col-md-12 col-sm-10 col-12 d-flex align-items-center"${_scopeId2}><div class="row"${_scopeId2}><div class="col"${_scopeId2}><div class="slider-content z-index1 position-absolute mt--6 x"${_scopeId2}><h2 data-animation="fadeInLeft" data-delay="1s" class="light-black-color2 mb-1 text-capitalize text-white pb-6 font500 font-pt"${_scopeId2}>${ssrInterpolate(sli.Texte)} <br${_scopeId2}> #${ssrInterpolate(sli.R\u00E9f\u00E9rence)}</h2><p class="light-black-color2 text-white font300 pb-12" data-animation="fadeInLeft" data-delay="1.5s"${_scopeId2}>${ssrInterpolate(sli.message)}<br${_scopeId2}><span class="font500"${_scopeId2}>${ssrInterpolate(sli.categorie)}</span></p><a data-animation="fadeInUp" data-delay="1.7s" href="#" class="web-btn d-inline-block text-uppercase white theme-bg position-relative over-hidden pl-30 pr-30 ptb-17"${_scopeId2}>Acheter</a></div></div></div></div></div></div></div>`);
                    } else {
                      return [
                        createVNode("div", {
                          class: "single-slider slider-height d-flex align-items-center",
                          style: { backgroundImage: `url(${sli.Img})` }
                        }, [
                          createVNode("div", { class: "container" }, [
                            createVNode("div", { class: "row" }, [
                              createVNode("div", { class: "col-xl-12 col-lg-12 col-md-12 col-sm-10 col-12 d-flex align-items-center" }, [
                                createVNode("div", { class: "row" }, [
                                  createVNode("div", { class: "col" }, [
                                    createVNode("div", { class: "slider-content z-index1 position-absolute mt--6 x" }, [
                                      createVNode("h2", {
                                        "data-animation": "fadeInLeft",
                                        "data-delay": "1s",
                                        class: "light-black-color2 mb-1 text-capitalize text-white pb-6 font500 font-pt"
                                      }, [
                                        createTextVNode(toDisplayString(sli.Texte) + " ", 1),
                                        createVNode("br"),
                                        createTextVNode(" #" + toDisplayString(sli.R\u00E9f\u00E9rence), 1)
                                      ]),
                                      createVNode("p", {
                                        class: "light-black-color2 text-white font300 pb-12",
                                        "data-animation": "fadeInLeft",
                                        "data-delay": "1.5s"
                                      }, [
                                        createTextVNode(toDisplayString(sli.message), 1),
                                        createVNode("br"),
                                        createVNode("span", { class: "font500" }, toDisplayString(sli.categorie), 1)
                                      ]),
                                      createVNode("a", {
                                        "data-animation": "fadeInUp",
                                        "data-delay": "1.7s",
                                        href: "#",
                                        class: "web-btn d-inline-block text-uppercase white theme-bg position-relative over-hidden pl-30 pr-30 ptb-17"
                                      }, "Acheter")
                                    ])
                                  ])
                                ])
                              ])
                            ])
                          ])
                        ], 4)
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(sluid), (sli) => {
                  return openBlock(), createBlock(_component_SwiperSlide, {
                    key: sli._id
                  }, {
                    default: withCtx(() => [
                      createVNode("div", {
                        class: "single-slider slider-height d-flex align-items-center",
                        style: { backgroundImage: `url(${sli.Img})` }
                      }, [
                        createVNode("div", { class: "container" }, [
                          createVNode("div", { class: "row" }, [
                            createVNode("div", { class: "col-xl-12 col-lg-12 col-md-12 col-sm-10 col-12 d-flex align-items-center" }, [
                              createVNode("div", { class: "row" }, [
                                createVNode("div", { class: "col" }, [
                                  createVNode("div", { class: "slider-content z-index1 position-absolute mt--6 x" }, [
                                    createVNode("h2", {
                                      "data-animation": "fadeInLeft",
                                      "data-delay": "1s",
                                      class: "light-black-color2 mb-1 text-capitalize text-white pb-6 font500 font-pt"
                                    }, [
                                      createTextVNode(toDisplayString(sli.Texte) + " ", 1),
                                      createVNode("br"),
                                      createTextVNode(" #" + toDisplayString(sli.R\u00E9f\u00E9rence), 1)
                                    ]),
                                    createVNode("p", {
                                      class: "light-black-color2 text-white font300 pb-12",
                                      "data-animation": "fadeInLeft",
                                      "data-delay": "1.5s"
                                    }, [
                                      createTextVNode(toDisplayString(sli.message), 1),
                                      createVNode("br"),
                                      createVNode("span", { class: "font500" }, toDisplayString(sli.categorie), 1)
                                    ]),
                                    createVNode("a", {
                                      "data-animation": "fadeInUp",
                                      "data-delay": "1.7s",
                                      href: "#",
                                      class: "web-btn d-inline-block text-uppercase white theme-bg position-relative over-hidden pl-30 pr-30 ptb-17"
                                    }, "Acheter")
                                  ])
                                ])
                              ])
                            ])
                          ])
                        ])
                      ], 4)
                    ]),
                    _: 2
                  }, 1024);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_Categorie, null, null, _parent));
      _push(ssrRenderComponent(_component_BanHero, null, null, _parent));
      _push(ssrRenderComponent(_component_About, null, null, _parent));
      _push(ssrRenderComponent(_component_TopProduit, null, null, _parent));
      _push(ssrRenderComponent(_component_ActivityDomaine, null, null, _parent));
      _push(ssrRenderComponent(_component_Temoignage, null, null, _parent));
      _push(ssrRenderComponent(_component_CtaInscription, null, null, _parent));
      _push(`</main>`);
      _push(ssrRenderComponent(_component_Pied, null, null, _parent));
      _push(`<!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=index-XqkXkBDr.mjs.map
