import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './CtaInscription-m7AalgsB.mjs';
import { d as useAuth, l as useRoute } from '../server.mjs';
import { defineComponent, ref, unref, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrRenderAttr } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './logo-BdZ9DXkY.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import './icon-QzuyK0xg.mjs';
import 'vue-router';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "login",
  __ssrInlineRender: true,
  setup(__props) {
    useAuth();
    const $route = useRoute();
    console.log($route.query);
    const error = ref();
    error.value = $route.query.error;
    const Toast = Swal.mixin({
      toast: true,
      position: "center",
      showConfirmButton: false,
      timer: 3e3,
      timerProgressBar: true,
      didOpen: (toast) => {
        toast.addEventListener("mouseenter", Swal.stopTimer);
        toast.addEventListener("mouseleave", Swal.resumeTimer);
      }
    });
    if (error.value) {
      Toast.fire({
        icon: "error",
        title: error.value
      });
    }
    const form = ref({
      email: "",
      password: ""
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_CtaInscription = _sfc_main$2;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="login-register-area mb-5"><div class="container"><div class="row"><div class="col-12"><section class="login-area pt-30 pb-0 shadow-lg bg-body-white rounded"><div class="container"><div class="row justify-content-center"><div class="col-lg-8"><div class="basic-login shadow-lg bg-body-tertiary rounded"><h3 class="text-center mb-60">Login </h3><form><label for="email">Email <span>**</span></label><input id="email" type="email" placeholder="Entrer votre email"${ssrRenderAttr("value", unref(form).email)} required class="shadow-lg bg-body-white rounded"><label for="pass">Password <span>**</span></label><input id="pass" type="password" placeholder="Entrer votre mots de passe ..."${ssrRenderAttr("value", unref(form).password)} class="shadow-lg bg-body-white rounded"><div class="login-action mb-20 fix"><span class="log-rem f-left"><input id="remember" type="checkbox"><label for="remember">Remember me!</label></span><span class="forgot-login f-right"><a href="#">Lost your password?</a></span></div><button type="submit" class="bt-btn theme-bg w-100 shadow-lg">Login</button><div class="or-divide"><span>or</span></div><a href="/inscription" class="bt-btn bt-btn-black text-center w-100">Inscrivez-vous </a></form></div></div></div></div>`);
      _push(ssrRenderComponent(_component_CtaInscription, null, null, _parent));
      _push(`</section></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/login.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=login-OY-iglny.mjs.map
