import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './clt-mobile-dash-gqOpldVW.mjs';
import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, withAsyncContext, unref, withCtx, createVNode, createTextVNode, toDisplayString, useSSRContext } from 'vue';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import { ssrRenderComponent, ssrRenderList, ssrRenderAttr, ssrInterpolate } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "souhait",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const { status, data } = useAuth();
    const dato = ref();
    const souh = ref();
    dato.value = data.value;
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 3e3,
      timerProgressBar: false,
      didOpen: (toast) => {
        toast.addEventListener("mouseenter", Swal.stopTimer);
        toast.addEventListener("mouseleave", Swal.resumeTimer);
      }
    });
    async function getSouhait() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/souhait/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$fSX5PswkTL");
          souh.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    [__temp, __restore] = withAsyncContext(() => getSouhait()), await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Clt_mobile_Dash = _sfc_main$2;
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="row"><div class="col-md-2">`);
      _push(ssrRenderComponent(_component_Clt_mobile_Dash, null, null, _parent));
      _push(`</div><div class="col-md-10 col-sm-12"><div class="row mt-5"><div class="col-md-10 col-sm-12 justify-content-center"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Ma liste de souhaits</h5></div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-info rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-heart fs-4"></i></div></div></div><div class="col-12">`);
      if (unref(souh)) {
        _push(`<div class="table-responsive"><table class="table table-bordered"><thead><tr class="text-center"><th scope="col">Images</th><th scope="col">Produit </th><th scope="col">Action</th></tr></thead><tbody><!--[-->`);
        ssrRenderList(unref(souh), (s) => {
          _push(`<tr class=""><td>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: "/boutique/code/" + s.code,
            class: "cart-img d-block"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", s.Img)} alt=""${_scopeId}>`);
              } else {
                return [
                  createVNode("img", {
                    src: s.Img,
                    alt: ""
                  }, null, 8, ["src"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</td><td>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: "/boutique/code/" + s.code,
            class: "p-name primary-color"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(s.NomProduits.toUpperCase())}`);
              } else {
                return [
                  createTextVNode(toDisplayString(s.NomProduits.toUpperCase()), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</td><td class="d-flex"><button class="btn btn-primary btn-sm w-50 m-1"><i class="fa fa-shopping-cart"></i></button><button class="btn btn-danger btn-sm w-50 m-1"><i class="fa fa-trash"></i></button></td></tr>`);
        });
        _push(`<!--]--></tbody></table></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><div class="row"><div class="col-12"><div class="d-flex align-items-center mt-3"><span class="lh-1 me-3 bg-success-subtle text-success rounded-circle p-1 d-flex align-items-center justify-content-center"><i class="bi bi-arrow-right-short bsb-rotate-n45"></i><i class="fa fa-arrow-left bsb-rotate-45"></i></span></div></div></div></div></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/mon-espace/souhait.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=souhait-h1tuPXk-.mjs.map
