import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './dashadminlink-IIs1WKSP.mjs';
import { Swiper, SwiperSlide } from 'swiper/vue';
import { defineComponent, ref, unref, withCtx, createVNode, toDisplayString, openBlock, createBlock, Fragment, renderList, useSSRContext } from 'vue';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import { Autoplay, EffectCreative } from 'swiper/modules';
import { ssrRenderComponent, ssrRenderAttr, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import '../server.mjs';
import 'unhead';
import '@unhead/shared';
import 'vue-router';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tem",
  __ssrInlineRender: true,
  setup(__props) {
    const Toast = Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 1e3,
      timerProgressBar: true
    });
    const formData = ref({
      nom: "",
      email: "",
      fonc: "",
      message: "",
      note: "",
      img: ""
    });
    const tem = ref();
    const proImg = ref();
    const sous = ref();
    async function getTem() {
      const { data: d } = await useFetch("/api/dash/tem", "$4IUW6dSyHA");
      tem.value = d.value;
    }
    async function deleteTem(id) {
      const { data: d } = await useFetch("/api/dash/tem/", {
        method: "DELETE",
        body: {
          id
        }
      }, "$QEQe0XxDES");
      if (d.value && d.value.deletedCount === 1) {
        Toast.fire({
          icon: "success",
          title: "Super ! <br> Suppression effectuer"
        });
        getTem();
      } else {
        Toast.fire({
          icon: "warning",
          title: "quelque chose n a pas marcher"
        });
      }
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_Dashadminlink = _sfc_main$2;
      const _component_Swiper = Swiper;
      const _component_SwiperSlide = SwiperSlide;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="container-fluid"><div class="row">`);
      _push(ssrRenderComponent(_component_Dashadminlink, null, null, _parent));
      _push(`<div class="col-sm-10 p-3 min-vh-100 shadow p-3 mb-5 bg-body-ligth rounded"><h1>Gestion des Temoignage</h1><div class="row"><div class="col-sm-6 shadow p-3 mb-5 bg-body-tertiary rounded"><h5>Liste inscrit a la</h5><form class="row g-3"><div class="col-md-6"><label for="inputNom" class="form-label">Nom</label><input type="text" class="form-control" id="inputNom"${ssrRenderAttr("value", unref(formData).nom)}></div><div class="col-md-6"><label for="inputEmail" class="form-label">Email</label><input type="email" class="form-control" id="inputEmail"${ssrRenderAttr("value", unref(formData).email)}></div><div class="col-md-6"><label for="fonc" class="form-label">Fonction</label><input type="text" class="form-control" id="inputEmail"${ssrRenderAttr("value", unref(formData).fonc)}></div><div class="col-6"><label for="inputNote" class="form-label">Note</label><input type="number" class="form-control" id="inputNote"${ssrRenderAttr("value", unref(formData).note)}></div><div class="col-12"><label for="inputMessage" class="form-label">Message</label><input type="text" class="form-control" id="inputMessage"${ssrRenderAttr("value", unref(formData).message)}></div><div class="col-md-6"><label for="img" class="form-label">Photo</label><input type="file" class="form-control" id="img"></div><div class="col-md-6">`);
      if (unref(proImg)) {
        _push(`<div class="card w-100"><img${ssrRenderAttr("src", unref(proImg))} alt=""></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="col-12"><button type="submit" class="btn btn-primary">Submit</button></div></form></div><div class="col-sm-6"><h5>Liste des inscrits a la Newlester</h5><div class="table-responsive">`);
      if (unref(sous)) {
        _push(`<table class="table table-striped table-sm"><thead><tr><th>Email</th><th>Supprimer</th></tr></thead><tbody><!--[-->`);
        ssrRenderList(unref(sous), (s) => {
          _push(`<tr><td>${ssrInterpolate(s.email)}</td><td><button class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></button></td></tr>`);
        });
        _push(`<!--]--></tbody></table>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12"><div class="testimonial-area testimonial-active wow mb-60 mb-lg-0">`);
      if (unref(tem)) {
        _push(ssrRenderComponent(_component_Swiper, {
          modules: ["SwiperAutoplay" in _ctx ? _ctx.SwiperAutoplay : unref(Autoplay), "SwiperEffectCreative" in _ctx ? _ctx.SwiperEffectCreative : unref(EffectCreative)],
          "slides-per-view": 1,
          loop: true,
          effect: "creative",
          autoplay: { delay: 8e3, disableOnInteraction: true },
          "creative-effect": { prev: { shadow: false, translate: ["-100%", 0, -1] }, next: { translate: ["100%", 0, 0] } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(tem), (t) => {
                _push2(ssrRenderComponent(_component_SwiperSlide, {
                  key: t._id
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<div class="row d-flex align-items-center"${_scopeId2}><div class="col-xl-4 col-lg-4 col-md-2 col-sm-3 col-12 pr-0 pr-0 pt-6 d-flex justify-sm-content-end justify-content-center"${_scopeId2}><div class="testimonial-avater position-relative"${_scopeId2}><img${ssrRenderAttr("src", t.img)} alt=""${_scopeId2}><div class="quote position-absolute"${_scopeId2}><span class="theme-bg white d-block text-center"${_scopeId2}><i class="fas fa-quote-left"${_scopeId2}></i></span></div><div class="rating testi-review d-flex align-items-center justify-content-center mt-15"${_scopeId2}><ul class="d-flex mr-2"${_scopeId2}><li${_scopeId2}><span${_scopeId2}><i class="fas fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="fas fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="fas fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="far fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="far fa-star"${_scopeId2}></i></span></li></ul><span class="light-black-color5 d-inline-block pl-1"${_scopeId2}> (${ssrInterpolate(t.note)})</span><button class="btn btn-danger btn-sm"${_scopeId2}><i class="fa fa-trash"${_scopeId2}></i></button></div></div></div><div class="col-xl-8 col-lg-8 col-md-7 col-sm-9 col-12 pt-6"${_scopeId2}><div class="testimonial-comment pt-20"${_scopeId2}><p class="light-black-color7"${_scopeId2}>${ssrInterpolate(t.message)}</p><div class="testimonial-info d-sm-flex testimonial-padding align-items-center pt-20"${_scopeId2}><h5 class="font600 light-black-color2 pr-10"${_scopeId2}>${ssrInterpolate(t.nom)}</h5><span class="theme-color"${_scopeId2}>${ssrInterpolate(t.fonc)}</span></div></div></div></div>`);
                    } else {
                      return [
                        createVNode("div", { class: "row d-flex align-items-center" }, [
                          createVNode("div", { class: "col-xl-4 col-lg-4 col-md-2 col-sm-3 col-12 pr-0 pr-0 pt-6 d-flex justify-sm-content-end justify-content-center" }, [
                            createVNode("div", { class: "testimonial-avater position-relative" }, [
                              createVNode("img", {
                                src: t.img,
                                alt: ""
                              }, null, 8, ["src"]),
                              createVNode("div", { class: "quote position-absolute" }, [
                                createVNode("span", { class: "theme-bg white d-block text-center" }, [
                                  createVNode("i", { class: "fas fa-quote-left" })
                                ])
                              ]),
                              createVNode("div", { class: "rating testi-review d-flex align-items-center justify-content-center mt-15" }, [
                                createVNode("ul", { class: "d-flex mr-2" }, [
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "fas fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "fas fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "fas fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "far fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "far fa-star" })
                                    ])
                                  ])
                                ]),
                                createVNode("span", { class: "light-black-color5 d-inline-block pl-1" }, " (" + toDisplayString(t.note) + ")", 1),
                                createVNode("button", {
                                  class: "btn btn-danger btn-sm",
                                  onClick: ($event) => deleteTem(t._id)
                                }, [
                                  createVNode("i", { class: "fa fa-trash" })
                                ], 8, ["onClick"])
                              ])
                            ])
                          ]),
                          createVNode("div", { class: "col-xl-8 col-lg-8 col-md-7 col-sm-9 col-12 pt-6" }, [
                            createVNode("div", { class: "testimonial-comment pt-20" }, [
                              createVNode("p", { class: "light-black-color7" }, toDisplayString(t.message), 1),
                              createVNode("div", { class: "testimonial-info d-sm-flex testimonial-padding align-items-center pt-20" }, [
                                createVNode("h5", { class: "font600 light-black-color2 pr-10" }, toDisplayString(t.nom), 1),
                                createVNode("span", { class: "theme-color" }, toDisplayString(t.fonc), 1)
                              ])
                            ])
                          ])
                        ])
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(tem), (t) => {
                  return openBlock(), createBlock(_component_SwiperSlide, {
                    key: t._id
                  }, {
                    default: withCtx(() => [
                      createVNode("div", { class: "row d-flex align-items-center" }, [
                        createVNode("div", { class: "col-xl-4 col-lg-4 col-md-2 col-sm-3 col-12 pr-0 pr-0 pt-6 d-flex justify-sm-content-end justify-content-center" }, [
                          createVNode("div", { class: "testimonial-avater position-relative" }, [
                            createVNode("img", {
                              src: t.img,
                              alt: ""
                            }, null, 8, ["src"]),
                            createVNode("div", { class: "quote position-absolute" }, [
                              createVNode("span", { class: "theme-bg white d-block text-center" }, [
                                createVNode("i", { class: "fas fa-quote-left" })
                              ])
                            ]),
                            createVNode("div", { class: "rating testi-review d-flex align-items-center justify-content-center mt-15" }, [
                              createVNode("ul", { class: "d-flex mr-2" }, [
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "fas fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "fas fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "fas fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "far fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "far fa-star" })
                                  ])
                                ])
                              ]),
                              createVNode("span", { class: "light-black-color5 d-inline-block pl-1" }, " (" + toDisplayString(t.note) + ")", 1),
                              createVNode("button", {
                                class: "btn btn-danger btn-sm",
                                onClick: ($event) => deleteTem(t._id)
                              }, [
                                createVNode("i", { class: "fa fa-trash" })
                              ], 8, ["onClick"])
                            ])
                          ])
                        ]),
                        createVNode("div", { class: "col-xl-8 col-lg-8 col-md-7 col-sm-9 col-12 pt-6" }, [
                          createVNode("div", { class: "testimonial-comment pt-20" }, [
                            createVNode("p", { class: "light-black-color7" }, toDisplayString(t.message), 1),
                            createVNode("div", { class: "testimonial-info d-sm-flex testimonial-padding align-items-center pt-20" }, [
                              createVNode("h5", { class: "font600 light-black-color2 pr-10" }, toDisplayString(t.nom), 1),
                              createVNode("span", { class: "theme-color" }, toDisplayString(t.fonc), 1)
                            ])
                          ])
                        ])
                      ])
                    ]),
                    _: 2
                  }, 1024);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div></div><!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/dashboard/tem.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=tem--MqonJWa.mjs.map
