import { Swiper, SwiperSlide } from 'swiper/vue';
import { defineComponent, ref, mergeProps, unref, withCtx, createVNode, toDisplayString, openBlock, createBlock, Fragment, renderList, useSSRContext } from 'vue';
import { Autoplay, EffectCreative } from 'swiper/modules';
import { ssrRenderAttrs, ssrRenderAttr, ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "temoignage",
  __ssrInlineRender: true,
  setup(__props) {
    const tem = ref();
    const mail = ref();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Swiper = Swiper;
      const _component_SwiperSlide = SwiperSlide;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "subscribe-area subscribe-1" }, _attrs))}><div class="container"><div class="border-t-gray1 border-b-gray1"><div class="row align-items-center"><div class="col-xxl-6 col-xl-6 col-lg-6 col-md-10 col-sm-12 col-12 offset-lg-0"><div class="subscribe-wrapper border-r-gray1 pt-50 pb-50"><div class="section-title mb-25"><h3 class="font-pt light-black-color2 pb-1">Joignez vous \xE0 notre Newsletter</h3><p class="light-black-color7"> Obtenez jusq&#39;\xE0 20% de r\xE9duction sur les produits m\xE9dicaux et obtenez des livraisons gratuites. </p></div><div class="subscribe-form-area subscribe-form-area1"><form><div class="d-sm-flex align-items-center"><div class="subscribe-info position-relative mr-6 mb-15"><input class="sub-name form-control border-0 pl-35 theme-color light-theme-bg" type="email" name="name" id="n-sub-name"${ssrRenderAttr("value", unref(mail))} placeholder="Votre adresse email"></div><div class="subscribe-btn mb-15"><div class="d-inline-block"><button type="submit" class="web-btn theme-border1 d-inline-block text-capitalize white theme-bg position-relative over-hidden pl-35 pr-35 ptb-12">S&#39;inscrire</button></div></div></div><div class="save-info d-flex mb-15"><input class="p-0 mr-10" type="checkbox" aria-label="Checkbox for following text input" required><p class="mb-0 cursor-pinter light-black-color7"> Acceptez-vous nos <a class="light-black-color7 line-height-1" href="terms-and-condition.html">Termes &amp; Conditions</a> et <a class="light-black-color7 line-height-1" href="privacy-page.html">politique privee</a></p></div></form></div></div></div><div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12"><div class="testimonial-area testimonial-active wow mb-60 mb-lg-0">`);
      if (unref(tem)) {
        _push(ssrRenderComponent(_component_Swiper, {
          modules: ["SwiperAutoplay" in _ctx ? _ctx.SwiperAutoplay : unref(Autoplay), "SwiperEffectCreative" in _ctx ? _ctx.SwiperEffectCreative : unref(EffectCreative)],
          "slides-per-view": 1,
          loop: true,
          effect: "creative",
          autoplay: { delay: 8e3, disableOnInteraction: true },
          "creative-effect": { prev: { shadow: false, translate: ["-100%", 0, -1] }, next: { translate: ["100%", 0, 0] } }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(tem), (t) => {
                _push2(ssrRenderComponent(_component_SwiperSlide, {
                  key: t._id
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<div class="row d-flex align-items-center"${_scopeId2}><div class="col-xl-4 col-lg-4 col-md-2 col-sm-3 col-12 pr-0 pr-0 pt-6 d-flex justify-sm-content-end justify-content-center"${_scopeId2}><div class="testimonial-avater position-relative"${_scopeId2}><img${ssrRenderAttr("src", t.img)} alt="" class="rounded-circle"${_scopeId2}><div class="quote position-absolute"${_scopeId2}><span class="theme-bg white d-block text-center"${_scopeId2}><i class="fas fa-quote-left"${_scopeId2}></i></span></div><div class="rating testi-review d-flex align-items-center justify-content-center mt-15"${_scopeId2}><ul class="d-flex mr-2"${_scopeId2}><li${_scopeId2}><span${_scopeId2}><i class="fas fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="fas fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="fas fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="far fa-star"${_scopeId2}></i></span></li><li${_scopeId2}><span${_scopeId2}><i class="far fa-star"${_scopeId2}></i></span></li></ul><span class="light-black-color5 d-inline-block pl-1"${_scopeId2}> (${ssrInterpolate(t.note)})</span></div></div></div><div class="col-xl-8 col-lg-8 col-md-7 col-sm-9 col-12 pt-6"${_scopeId2}><div class="testimonial-comment pt-20"${_scopeId2}><p class="light-black-color7"${_scopeId2}>${ssrInterpolate(t.message)}</p><div class="testimonial-info d-sm-flex testimonial-padding align-items-center pt-20"${_scopeId2}><h5 class="font600 light-black-color2 pr-10"${_scopeId2}>${ssrInterpolate(t.nom)}</h5><span class="theme-color"${_scopeId2}>${ssrInterpolate(t.fonc)}</span></div></div></div></div>`);
                    } else {
                      return [
                        createVNode("div", { class: "row d-flex align-items-center" }, [
                          createVNode("div", { class: "col-xl-4 col-lg-4 col-md-2 col-sm-3 col-12 pr-0 pr-0 pt-6 d-flex justify-sm-content-end justify-content-center" }, [
                            createVNode("div", { class: "testimonial-avater position-relative" }, [
                              createVNode("img", {
                                src: t.img,
                                alt: "",
                                class: "rounded-circle"
                              }, null, 8, ["src"]),
                              createVNode("div", { class: "quote position-absolute" }, [
                                createVNode("span", { class: "theme-bg white d-block text-center" }, [
                                  createVNode("i", { class: "fas fa-quote-left" })
                                ])
                              ]),
                              createVNode("div", { class: "rating testi-review d-flex align-items-center justify-content-center mt-15" }, [
                                createVNode("ul", { class: "d-flex mr-2" }, [
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "fas fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "fas fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "fas fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "far fa-star" })
                                    ])
                                  ]),
                                  createVNode("li", null, [
                                    createVNode("span", null, [
                                      createVNode("i", { class: "far fa-star" })
                                    ])
                                  ])
                                ]),
                                createVNode("span", { class: "light-black-color5 d-inline-block pl-1" }, " (" + toDisplayString(t.note) + ")", 1)
                              ])
                            ])
                          ]),
                          createVNode("div", { class: "col-xl-8 col-lg-8 col-md-7 col-sm-9 col-12 pt-6" }, [
                            createVNode("div", { class: "testimonial-comment pt-20" }, [
                              createVNode("p", { class: "light-black-color7" }, toDisplayString(t.message), 1),
                              createVNode("div", { class: "testimonial-info d-sm-flex testimonial-padding align-items-center pt-20" }, [
                                createVNode("h5", { class: "font600 light-black-color2 pr-10" }, toDisplayString(t.nom), 1),
                                createVNode("span", { class: "theme-color" }, toDisplayString(t.fonc), 1)
                              ])
                            ])
                          ])
                        ])
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(tem), (t) => {
                  return openBlock(), createBlock(_component_SwiperSlide, {
                    key: t._id
                  }, {
                    default: withCtx(() => [
                      createVNode("div", { class: "row d-flex align-items-center" }, [
                        createVNode("div", { class: "col-xl-4 col-lg-4 col-md-2 col-sm-3 col-12 pr-0 pr-0 pt-6 d-flex justify-sm-content-end justify-content-center" }, [
                          createVNode("div", { class: "testimonial-avater position-relative" }, [
                            createVNode("img", {
                              src: t.img,
                              alt: "",
                              class: "rounded-circle"
                            }, null, 8, ["src"]),
                            createVNode("div", { class: "quote position-absolute" }, [
                              createVNode("span", { class: "theme-bg white d-block text-center" }, [
                                createVNode("i", { class: "fas fa-quote-left" })
                              ])
                            ]),
                            createVNode("div", { class: "rating testi-review d-flex align-items-center justify-content-center mt-15" }, [
                              createVNode("ul", { class: "d-flex mr-2" }, [
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "fas fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "fas fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "fas fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "far fa-star" })
                                  ])
                                ]),
                                createVNode("li", null, [
                                  createVNode("span", null, [
                                    createVNode("i", { class: "far fa-star" })
                                  ])
                                ])
                              ]),
                              createVNode("span", { class: "light-black-color5 d-inline-block pl-1" }, " (" + toDisplayString(t.note) + ")", 1)
                            ])
                          ])
                        ]),
                        createVNode("div", { class: "col-xl-8 col-lg-8 col-md-7 col-sm-9 col-12 pt-6" }, [
                          createVNode("div", { class: "testimonial-comment pt-20" }, [
                            createVNode("p", { class: "light-black-color7" }, toDisplayString(t.message), 1),
                            createVNode("div", { class: "testimonial-info d-sm-flex testimonial-padding align-items-center pt-20" }, [
                              createVNode("h5", { class: "font600 light-black-color2 pr-10" }, toDisplayString(t.nom), 1),
                              createVNode("span", { class: "theme-color" }, toDisplayString(t.fonc), 1)
                            ])
                          ])
                        ])
                      ])
                    ]),
                    _: 2
                  }, 1024);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/temoignage.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=temoignage-AWa41xdS.mjs.map
