import { l as defineEventHandler, r as readBody } from './nitro/node-server.mjs';
import { S as SouhaitSchema } from './souhait.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const cherche1_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  const filtre = body.filtre;
  try {
    const r = await SouhaitSchema.findOne(filtre);
    return r;
  } catch (error) {
    console.error(error);
  }
});

export { cherche1_post as default };
//# sourceMappingURL=cherche1.post2.mjs.map
