import { d as defineMongooseModel } from './model.mjs';

const PanierShema = defineMongooseModel({
  name: "Panier",
  schema: {
    prodid: {
      type: String,
      unique: true,
      required: true
    },
    codePanier: {
      type: String,
      required: true,
      lowercase: true
    },
    prodNom: {
      type: String,
      required: true,
      lowercase: true
    },
    prodImg1: {
      type: String,
      required: true
    },
    navToken: {
      type: String,
      required: true
    },
    userMail: {
      type: String,
      lowercase: true
    },
    sysUserId: {
      type: String
    },
    code: {
      type: String,
      required: true
    },
    qte: {
      type: Number,
      required: true
    },
    status: {
      type: String,
      required: true
    }
  }
});

export { PanierShema as P };
//# sourceMappingURL=panier.mjs.map
