import { d as defineMongooseModel } from './model.mjs';

const ScatShema = defineMongooseModel({
  name: "SousCategorie",
  schema: {
    scatid: {
      type: String,
      unique: true,
      required: true
    },
    catmyid: {
      type: String,
      required: true
    },
    nomcat: {
      type: String,
      required: true,
      lowercase: true
    },
    scatNom: {
      type: String,
      required: true,
      lowercase: true
    }
  }
});

export { ScatShema as S };
//# sourceMappingURL=scat.mjs.map
